#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_atomic_helper_check_modeset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_wb_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_crtc_primary_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_legacy_modeset_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_disables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_enables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_fences, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_vblanks, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_flip_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail_rpm, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_setup_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_atomic_helper_fake_vblank, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_hw_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_cleanup_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_prepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_unprepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_cleanup_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_swap_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_shutdown, "", "");
KSYMTAB_FUNC(drm_atomic_helper_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_suspend, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_duplicated_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_resume, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip_target, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_propagate_bus_fmt, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_margins_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_check, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_private_obj_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_helper_encoder_in_use, "", "");
KSYMTAB_FUNC(drm_helper_crtc_in_use, "", "");
KSYMTAB_FUNC(drm_helper_disable_unused_functions, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_mode, "", "");
KSYMTAB_FUNC(drm_crtc_helper_atomic_check, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_config, "", "");
KSYMTAB_FUNC(drm_helper_connector_dpms, "", "");
KSYMTAB_FUNC(drm_helper_resume_force_mode, "", "");
KSYMTAB_FUNC(drm_helper_force_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_damage, "", "");
KSYMTAB_FUNC(drm_atomic_helper_dirtyfb, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_init, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_next, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_merged, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_init, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_destroy, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_dpms, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_fixup, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_prepare, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_commit, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_set, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_detect, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_save, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_restore, "", "");
KSYMTAB_FUNC(drm_flip_work_queue, "", "");
KSYMTAB_FUNC(drm_flip_work_commit, "", "");
KSYMTAB_FUNC(drm_flip_work_init, "", "");
KSYMTAB_FUNC(drm_flip_work_cleanup, "", "");
KSYMTAB_FUNC(drm_format_conv_state_init, "", "");
KSYMTAB_FUNC(drm_format_conv_state_copy, "", "");
KSYMTAB_FUNC(drm_format_conv_state_reserve, "", "");
KSYMTAB_FUNC(drm_format_conv_state_release, "", "");
KSYMTAB_FUNC(drm_fb_clip_offset, "", "");
KSYMTAB_FUNC(drm_fb_memcpy, "", "");
KSYMTAB_FUNC(drm_fb_swab, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb332, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb565, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgba5551, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb8888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_gray8, "", "");
KSYMTAB_FUNC(drm_fb_blit, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_mono, "", "");
KSYMTAB_FUNC(drm_fb_build_fourcc_list, "", "");
KSYMTAB_FUNC(drm_gem_plane_helper_prepare_fb, "_gpl", "");
KSYMTAB_FUNC(__drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_fb_get_obj, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_destroy, "", "");
KSYMTAB_FUNC(drm_gem_fb_create_handle, "", "");
KSYMTAB_FUNC(drm_gem_fb_init_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_dirty, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_vmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_begin_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_end_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_afbc_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_move_panel_connectors_to_head, "", "");
KSYMTAB_FUNC(drm_helper_mode_fill_fb_struct, "", "");
KSYMTAB_FUNC(drm_crtc_init, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_suspend, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_resume, "", "");
KSYMTAB_FUNC(drm_plane_helper_update_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_disable_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_destroy, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_enable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_reschedule, "", "");
KSYMTAB_FUNC(drm_helper_probe_detect, "", "");
KSYMTAB_FUNC(drm_helper_probe_single_connector_modes, "", "");
KSYMTAB_FUNC(drm_kms_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_is_poll_worker, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_disable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_fini, "", "");
KSYMTAB_FUNC(drmm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_connector_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_crtc_helper_mode_valid_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_tv_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_detect_from_ddc, "", "");
KSYMTAB_FUNC(drm_rect_intersect, "", "");
KSYMTAB_FUNC(drm_rect_clip_scaled, "", "");
KSYMTAB_FUNC(drm_rect_calc_hscale, "", "");
KSYMTAB_FUNC(drm_rect_calc_vscale, "", "");
KSYMTAB_FUNC(drm_rect_debug_print, "", "");
KSYMTAB_FUNC(drm_rect_rotate, "", "");
KSYMTAB_FUNC(drm_rect_rotate_inv, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_update_avg_times, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_alter_state, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_init, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_cleanup, "", "");
KSYMTAB_FUNC(drm_simple_encoder_init, "", "");
KSYMTAB_FUNC(__drmm_simple_encoder_alloc, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_attach_bridge, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_init, "", "");
KSYMTAB_FUNC(drm_bridge_is_panel, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drm_panel_bridge_remove, "", "");
KSYMTAB_FUNC(drm_panel_bridge_set_orientation, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drmm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_connector, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_enter, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_leave, "", "");
KSYMTAB_FUNC(drm_fb_helper_restore_fbdev_mode_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_blank, "", "");
KSYMTAB_FUNC(drm_fb_helper_prepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_unprepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_init, "", "");
KSYMTAB_FUNC(drm_fb_helper_alloc_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_release_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_unregister_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_fini, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_range, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_area, "", "");
KSYMTAB_FUNC(drm_fb_helper_deferred_io, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_setcmap, "", "");
KSYMTAB_FUNC(drm_fb_helper_ioctl, "", "");
KSYMTAB_FUNC(drm_fb_helper_check_var, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_par, "", "");
KSYMTAB_FUNC(drm_fb_helper_pan_display, "", "");
KSYMTAB_FUNC(drm_fb_helper_fill_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_initial_config, "", "");
KSYMTAB_FUNC(drm_fb_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_fb_helper_lastclose, "", "");

SYMBOL_CRC(drm_atomic_helper_check_modeset, 0x84a98077, "");
SYMBOL_CRC(drm_atomic_helper_check_wb_connector_state, 0x9e67dfa4, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_state, 0x6ce0fa1a, "");
SYMBOL_CRC(drm_atomic_helper_check_crtc_primary_plane, 0x22fd5314, "");
SYMBOL_CRC(drm_atomic_helper_check_planes, 0x878d3c91, "");
SYMBOL_CRC(drm_atomic_helper_check, 0xc8dfc714, "");
SYMBOL_CRC(drm_atomic_helper_update_legacy_modeset_state, 0xb718b3e0, "");
SYMBOL_CRC(drm_atomic_helper_calc_timestamping_constants, 0x482b2a55, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_disables, 0x4e88c2bf, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_enables, 0x0c099bd5, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_fences, 0x0300b709, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_vblanks, 0x0d3df75c, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_flip_done, 0xd2ce56df, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail, 0xc38fe6ca, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail_rpm, 0x1496ff64, "");
SYMBOL_CRC(drm_atomic_helper_async_check, 0x99cee68c, "");
SYMBOL_CRC(drm_atomic_helper_async_commit, 0x95bd2f6e, "");
SYMBOL_CRC(drm_atomic_helper_commit, 0x3e2d9595, "");
SYMBOL_CRC(drm_atomic_helper_setup_commit, 0x7c1ac84b, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_dependencies, 0x795c2516, "");
SYMBOL_CRC(drm_atomic_helper_fake_vblank, 0x71bbaf2c, "");
SYMBOL_CRC(drm_atomic_helper_commit_hw_done, 0x9c81bcf6, "");
SYMBOL_CRC(drm_atomic_helper_commit_cleanup_done, 0x6a3f695f, "");
SYMBOL_CRC(drm_atomic_helper_prepare_planes, 0xd6472d15, "");
SYMBOL_CRC(drm_atomic_helper_unprepare_planes, 0x7835b8d3, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes, 0xc2232920, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes_on_crtc, 0x52394da5, "");
SYMBOL_CRC(drm_atomic_helper_disable_planes_on_crtc, 0xa2481449, "");
SYMBOL_CRC(drm_atomic_helper_cleanup_planes, 0x91a3ddc0, "");
SYMBOL_CRC(drm_atomic_helper_swap_state, 0xeaf54801, "");
SYMBOL_CRC(drm_atomic_helper_update_plane, 0xebd7bd58, "");
SYMBOL_CRC(drm_atomic_helper_disable_plane, 0x36ec67d4, "");
SYMBOL_CRC(drm_atomic_helper_set_config, 0x4967b1e2, "");
SYMBOL_CRC(drm_atomic_helper_disable_all, 0xeb5aaf56, "");
SYMBOL_CRC(drm_atomic_helper_shutdown, 0xa8abb5f9, "");
SYMBOL_CRC(drm_atomic_helper_duplicate_state, 0x45ace273, "");
SYMBOL_CRC(drm_atomic_helper_suspend, 0x7b8c596f, "");
SYMBOL_CRC(drm_atomic_helper_commit_duplicated_state, 0x3fe50905, "");
SYMBOL_CRC(drm_atomic_helper_resume, 0xd07d8e02, "");
SYMBOL_CRC(drm_atomic_helper_page_flip, 0x854d2a96, "");
SYMBOL_CRC(drm_atomic_helper_page_flip_target, 0x29c43775, "");
SYMBOL_CRC(drm_atomic_helper_bridge_propagate_bus_fmt, 0xd914faf4, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_state_reset, 0xef0e2d2d, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_reset, 0x94e6b919, "");
SYMBOL_CRC(drm_atomic_helper_crtc_reset, 0x97f0cfb6, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_duplicate_state, 0xc9db1a94, "");
SYMBOL_CRC(drm_atomic_helper_crtc_duplicate_state, 0x73280c36, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_destroy_state, 0xe8fa1437, "");
SYMBOL_CRC(drm_atomic_helper_crtc_destroy_state, 0x4f1e854c, "");
SYMBOL_CRC(__drm_atomic_helper_plane_state_reset, 0x736ec15a, "");
SYMBOL_CRC(__drm_atomic_helper_plane_reset, 0xbec09c92, "");
SYMBOL_CRC(drm_atomic_helper_plane_reset, 0x3d77f0eb, "");
SYMBOL_CRC(__drm_atomic_helper_plane_duplicate_state, 0x734b2e65, "");
SYMBOL_CRC(drm_atomic_helper_plane_duplicate_state, 0xc1550df9, "");
SYMBOL_CRC(__drm_atomic_helper_plane_destroy_state, 0xd3b14725, "");
SYMBOL_CRC(drm_atomic_helper_plane_destroy_state, 0x5bb909a2, "");
SYMBOL_CRC(__drm_atomic_helper_connector_state_reset, 0x47a6cb00, "");
SYMBOL_CRC(__drm_atomic_helper_connector_reset, 0xbcdd8e97, "");
SYMBOL_CRC(drm_atomic_helper_connector_reset, 0x879fafbd, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_margins_reset, 0xaa7100cd, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_reset, 0x43d44e2c, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_check, 0xec9b0d92, "");
SYMBOL_CRC(__drm_atomic_helper_connector_duplicate_state, 0x6ae81e93, "");
SYMBOL_CRC(drm_atomic_helper_connector_duplicate_state, 0xc13b6027, "");
SYMBOL_CRC(__drm_atomic_helper_connector_destroy_state, 0xc9b12e36, "");
SYMBOL_CRC(drm_atomic_helper_connector_destroy_state, 0xb7db9a2c, "");
SYMBOL_CRC(__drm_atomic_helper_private_obj_duplicate_state, 0xf1153397, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_duplicate_state, 0x289b68e8, "");
SYMBOL_CRC(drm_atomic_helper_bridge_duplicate_state, 0x0ada26c3, "");
SYMBOL_CRC(drm_atomic_helper_bridge_destroy_state, 0xca77d225, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_reset, 0x287653c3, "");
SYMBOL_CRC(drm_atomic_helper_bridge_reset, 0x003bfe74, "");
SYMBOL_CRC(drm_helper_encoder_in_use, 0xbcae5016, "");
SYMBOL_CRC(drm_helper_crtc_in_use, 0xfe2204e5, "");
SYMBOL_CRC(drm_helper_disable_unused_functions, 0x29e3ca81, "");
SYMBOL_CRC(drm_crtc_helper_set_mode, 0x692e2da2, "");
SYMBOL_CRC(drm_crtc_helper_atomic_check, 0xa15c3199, "");
SYMBOL_CRC(drm_crtc_helper_set_config, 0xe12f7c93, "");
SYMBOL_CRC(drm_helper_connector_dpms, 0x153d83b7, "");
SYMBOL_CRC(drm_helper_resume_force_mode, 0xfb7f3a06, "");
SYMBOL_CRC(drm_helper_force_disable_all, 0x8d4a127f, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_damage, 0xf1992434, "");
SYMBOL_CRC(drm_atomic_helper_dirtyfb, 0xf48ec778, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_init, 0x1e665d37, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_next, 0x6b5c2b06, "");
SYMBOL_CRC(drm_atomic_helper_damage_merged, 0x3eb56d26, "");
SYMBOL_CRC(drm_i2c_encoder_init, 0xff7bf2b5, "");
SYMBOL_CRC(drm_i2c_encoder_destroy, 0x32e26501, "");
SYMBOL_CRC(drm_i2c_encoder_dpms, 0x06fc668e, "");
SYMBOL_CRC(drm_i2c_encoder_mode_fixup, 0xa9f21f18, "");
SYMBOL_CRC(drm_i2c_encoder_prepare, 0xb0ddf9b1, "");
SYMBOL_CRC(drm_i2c_encoder_commit, 0xd9ed011e, "");
SYMBOL_CRC(drm_i2c_encoder_mode_set, 0xd6814d17, "");
SYMBOL_CRC(drm_i2c_encoder_detect, 0x7bf2b26f, "");
SYMBOL_CRC(drm_i2c_encoder_save, 0x9a39c5b2, "");
SYMBOL_CRC(drm_i2c_encoder_restore, 0xaa6497c8, "");
SYMBOL_CRC(drm_flip_work_queue, 0x8028e0b1, "");
SYMBOL_CRC(drm_flip_work_commit, 0xb9c3e713, "");
SYMBOL_CRC(drm_flip_work_init, 0xe94166ea, "");
SYMBOL_CRC(drm_flip_work_cleanup, 0xf705d236, "");
SYMBOL_CRC(drm_format_conv_state_init, 0xf24700a0, "");
SYMBOL_CRC(drm_format_conv_state_copy, 0xeeffb81b, "");
SYMBOL_CRC(drm_format_conv_state_reserve, 0x84247d5d, "");
SYMBOL_CRC(drm_format_conv_state_release, 0x24e99aa5, "");
SYMBOL_CRC(drm_fb_clip_offset, 0xb6a6b711, "");
SYMBOL_CRC(drm_fb_memcpy, 0x6fea8a92, "");
SYMBOL_CRC(drm_fb_swab, 0xf6f79575, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb332, 0xdb81ae42, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb565, 0xfb93a676, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb1555, 0xe63e1978, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb1555, 0xdc22d238, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgba5551, 0x3febf191, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb888, 0x14003d1b, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb8888, 0xc4221095, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb2101010, 0x38303df7, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb2101010, 0x74a5e2c7, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_gray8, 0xfe7c64b6, "");
SYMBOL_CRC(drm_fb_blit, 0xff0f176e, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_mono, 0x9f5755e8, "");
SYMBOL_CRC(drm_fb_build_fourcc_list, 0x7597acdc, "");
SYMBOL_CRC(drm_gem_plane_helper_prepare_fb, 0xbaa38195, "_gpl");
SYMBOL_CRC(__drm_gem_duplicate_shadow_plane_state, 0xaacb6a98, "");
SYMBOL_CRC(drm_gem_duplicate_shadow_plane_state, 0xa5490584, "");
SYMBOL_CRC(__drm_gem_destroy_shadow_plane_state, 0xc02ed282, "");
SYMBOL_CRC(drm_gem_destroy_shadow_plane_state, 0x7702c57b, "");
SYMBOL_CRC(__drm_gem_reset_shadow_plane, 0x24bf0ebb, "");
SYMBOL_CRC(drm_gem_reset_shadow_plane, 0x987a37fa, "");
SYMBOL_CRC(drm_gem_begin_shadow_fb_access, 0xbe22b663, "");
SYMBOL_CRC(drm_gem_end_shadow_fb_access, 0x9bcfbe64, "");
SYMBOL_CRC(drm_gem_simple_kms_begin_shadow_fb_access, 0x4e3da4fe, "");
SYMBOL_CRC(drm_gem_simple_kms_end_shadow_fb_access, 0x2e66394d, "");
SYMBOL_CRC(drm_gem_simple_kms_reset_shadow_plane, 0xaac5a657, "");
SYMBOL_CRC(drm_gem_simple_kms_duplicate_shadow_plane_state, 0x0e6fc086, "");
SYMBOL_CRC(drm_gem_simple_kms_destroy_shadow_plane_state, 0x3ef2c577, "");
SYMBOL_CRC(drm_gem_fb_get_obj, 0xd44b99b7, "_gpl");
SYMBOL_CRC(drm_gem_fb_destroy, 0x74dafb2d, "");
SYMBOL_CRC(drm_gem_fb_create_handle, 0xa285e76e, "");
SYMBOL_CRC(drm_gem_fb_init_with_funcs, 0xedd028c9, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_funcs, 0x7ad9883d, "_gpl");
SYMBOL_CRC(drm_gem_fb_create, 0xddd81ac0, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_dirty, 0x81f91a04, "_gpl");
SYMBOL_CRC(drm_gem_fb_vmap, 0xc4a7e9c5, "");
SYMBOL_CRC(drm_gem_fb_vunmap, 0x781a9981, "");
SYMBOL_CRC(drm_gem_fb_begin_cpu_access, 0xfa3a91b3, "");
SYMBOL_CRC(drm_gem_fb_end_cpu_access, 0x90f16a7d, "");
SYMBOL_CRC(drm_gem_fb_afbc_init, 0x0d77858a, "_gpl");
SYMBOL_CRC(drm_helper_move_panel_connectors_to_head, 0x2e2a61f2, "");
SYMBOL_CRC(drm_helper_mode_fill_fb_struct, 0x57db4a51, "");
SYMBOL_CRC(drm_crtc_init, 0x0d920577, "");
SYMBOL_CRC(drm_mode_config_helper_suspend, 0xf170daa3, "");
SYMBOL_CRC(drm_mode_config_helper_resume, 0xe3a4541b, "");
SYMBOL_CRC(drm_plane_helper_update_primary, 0x5b28bfae, "");
SYMBOL_CRC(drm_plane_helper_disable_primary, 0x93441d0d, "");
SYMBOL_CRC(drm_plane_helper_destroy, 0x6f7f2203, "");
SYMBOL_CRC(drm_kms_helper_poll_enable, 0x9225cf2c, "");
SYMBOL_CRC(drm_kms_helper_poll_reschedule, 0x0be6fcc5, "");
SYMBOL_CRC(drm_helper_probe_detect, 0xa58aebe9, "");
SYMBOL_CRC(drm_helper_probe_single_connector_modes, 0x6841b6ce, "");
SYMBOL_CRC(drm_kms_helper_hotplug_event, 0x0208a425, "");
SYMBOL_CRC(drm_kms_helper_connector_hotplug_event, 0x7ac1e9bb, "");
SYMBOL_CRC(drm_kms_helper_is_poll_worker, 0x5a4734d1, "");
SYMBOL_CRC(drm_kms_helper_poll_disable, 0x36c996bc, "");
SYMBOL_CRC(drm_kms_helper_poll_init, 0x55ea2fa4, "");
SYMBOL_CRC(drm_kms_helper_poll_fini, 0x07ed0e36, "");
SYMBOL_CRC(drmm_kms_helper_poll_init, 0xef96aaef, "");
SYMBOL_CRC(drm_connector_helper_hpd_irq_event, 0xb6db2c0c, "");
SYMBOL_CRC(drm_helper_hpd_irq_event, 0xf069af04, "");
SYMBOL_CRC(drm_crtc_helper_mode_valid_fixed, 0x242f2c83, "");
SYMBOL_CRC(drm_connector_helper_get_modes_fixed, 0xa1c0b281, "");
SYMBOL_CRC(drm_connector_helper_get_modes, 0xaaab2028, "");
SYMBOL_CRC(drm_connector_helper_tv_get_modes, 0x4cb47266, "");
SYMBOL_CRC(drm_connector_helper_detect_from_ddc, 0x193a2c08, "");
SYMBOL_CRC(drm_rect_intersect, 0x871ab41a, "");
SYMBOL_CRC(drm_rect_clip_scaled, 0x99fd20aa, "");
SYMBOL_CRC(drm_rect_calc_hscale, 0x2d50570f, "");
SYMBOL_CRC(drm_rect_calc_vscale, 0x91fec1cc, "");
SYMBOL_CRC(drm_rect_debug_print, 0xcb2340b8, "");
SYMBOL_CRC(drm_rect_rotate, 0xb053adda, "");
SYMBOL_CRC(drm_rect_rotate_inv, 0x6e30ba8e, "");
SYMBOL_CRC(drm_self_refresh_helper_update_avg_times, 0xdd62fc53, "");
SYMBOL_CRC(drm_self_refresh_helper_alter_state, 0x3a620973, "");
SYMBOL_CRC(drm_self_refresh_helper_init, 0x9db0aab9, "");
SYMBOL_CRC(drm_self_refresh_helper_cleanup, 0xd089ea86, "");
SYMBOL_CRC(drm_simple_encoder_init, 0x2965fe6c, "");
SYMBOL_CRC(__drmm_simple_encoder_alloc, 0xf2a673d0, "");
SYMBOL_CRC(drm_simple_display_pipe_attach_bridge, 0x61834439, "");
SYMBOL_CRC(drm_simple_display_pipe_init, 0x274144f8, "");
SYMBOL_CRC(drm_bridge_is_panel, 0x33f55513, "");
SYMBOL_CRC(drm_panel_bridge_add, 0xa6168371, "");
SYMBOL_CRC(drm_panel_bridge_add_typed, 0x8d744907, "");
SYMBOL_CRC(drm_panel_bridge_remove, 0x746c5ae6, "");
SYMBOL_CRC(drm_panel_bridge_set_orientation, 0x1a9154f8, "");
SYMBOL_CRC(devm_drm_panel_bridge_add, 0x8ae13748, "");
SYMBOL_CRC(devm_drm_panel_bridge_add_typed, 0x2a868b75, "");
SYMBOL_CRC(drmm_panel_bridge_add, 0x85150cf3, "");
SYMBOL_CRC(drm_panel_bridge_connector, 0x6f3af46e, "");
SYMBOL_CRC(drm_fb_helper_debug_enter, 0x82713384, "");
SYMBOL_CRC(drm_fb_helper_debug_leave, 0x30b6e639, "");
SYMBOL_CRC(drm_fb_helper_restore_fbdev_mode_unlocked, 0x07b2bdbf, "");
SYMBOL_CRC(drm_fb_helper_blank, 0x9a011d64, "");
SYMBOL_CRC(drm_fb_helper_prepare, 0x2ca0be29, "");
SYMBOL_CRC(drm_fb_helper_unprepare, 0x687031b3, "");
SYMBOL_CRC(drm_fb_helper_init, 0x7b923451, "");
SYMBOL_CRC(drm_fb_helper_alloc_info, 0x32e23d26, "");
SYMBOL_CRC(drm_fb_helper_release_info, 0xfea699f3, "");
SYMBOL_CRC(drm_fb_helper_unregister_info, 0x2da02c6d, "");
SYMBOL_CRC(drm_fb_helper_fini, 0x4edaf215, "");
SYMBOL_CRC(drm_fb_helper_damage_range, 0xa6c714dd, "");
SYMBOL_CRC(drm_fb_helper_damage_area, 0x58d8498d, "");
SYMBOL_CRC(drm_fb_helper_deferred_io, 0xdb27fbbd, "");
SYMBOL_CRC(drm_fb_helper_set_suspend, 0x7599b5c9, "");
SYMBOL_CRC(drm_fb_helper_set_suspend_unlocked, 0x2176f15d, "");
SYMBOL_CRC(drm_fb_helper_setcmap, 0xf3e55d61, "");
SYMBOL_CRC(drm_fb_helper_ioctl, 0x9efc09b4, "");
SYMBOL_CRC(drm_fb_helper_check_var, 0x4d14f7e3, "");
SYMBOL_CRC(drm_fb_helper_set_par, 0xb48db540, "");
SYMBOL_CRC(drm_fb_helper_pan_display, 0xa809234b, "");
SYMBOL_CRC(drm_fb_helper_fill_info, 0xb52c5dbf, "");
SYMBOL_CRC(drm_fb_helper_initial_config, 0xb71ed6d1, "");
SYMBOL_CRC(drm_fb_helper_hotplug_event, 0x0bde8f1c, "");
SYMBOL_CRC(drm_fb_helper_lastclose, 0xb97e91da, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8b09903b, "unregister_framebuffer" },
	{ 0xbe14cc7f, "drm_atomic_get_old_crtc_for_encoder" },
	{ 0x7cc2f43a, "drm_framebuffer_cleanup" },
	{ 0xa0d3c866, "drm_writeback_prepare_job" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x8ef17254, "drm_panel_get_modes" },
	{ 0xdf3e05d1, "drm_gem_vmap_unlocked" },
	{ 0x8ada781b, "try_module_get" },
	{ 0xa864a482, "drm_connector_list_update" },
	{ 0xf3e1fb80, "drm_bridge_add" },
	{ 0x413e0db7, "drm_bridge_chain_mode_valid" },
	{ 0x29f078d1, "drm_mode_legacy_fb_format" },
	{ 0x529f1e79, "unregister_sysrq_key" },
	{ 0x4386ea74, "drm_connector_register" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xa6705cc7, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x99a426fb, "drm_client_rotation" },
	{ 0x25299b9d, "drm_panel_enable" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x454d8eef, "drm_framebuffer_init" },
	{ 0x800c9fec, "drm_mode_validate_driver" },
	{ 0xe14e175c, "drm_atomic_add_affected_planes" },
	{ 0x6f1ca113, "dma_buf_end_cpu_access" },
	{ 0x5161e78e, "drm_modeset_unlock_all" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd13b6fd6, "drm_mode_probed_add" },
	{ 0x1c36a18d, "drm_atomic_add_affected_connectors" },
	{ 0xab1024bb, "drm_gem_vunmap_unlocked" },
	{ 0x30de0399, "drm_crtc_vblank_count" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd1f121ad, "rt_mutex_base_init" },
	{ 0x6f25a149, "finish_wait" },
	{ 0x4f4fb569, "drm_modeset_lock_all" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xd9b4753, "drm_mode_equal" },
	{ 0x4d9100ee, "drm_atomic_bridge_chain_enable" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x1db86ed3, "drm_mode_object_get" },
	{ 0x143659e6, "drm_edid_override_connector_update" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0xfde791b7, "drm_driver_legacy_fb_format" },
	{ 0xb307ee50, "pcpu_hot" },
	{ 0xe07ac705, "drm_crtc_cleanup" },
	{ 0x4f0a6c72, "drm_connector_list_iter_begin" },
	{ 0xb776d98a, "drm_mode_set_config_internal" },
	{ 0x7ba7683d, "prepare_to_wait_event" },
	{ 0x17ccc828, "framebuffer_alloc" },
	{ 0xca6091ef, "drm_encoder_cleanup" },
	{ 0xac7a0d4a, "drm_modeset_acquire_init" },
	{ 0x5bb32404, "dma_fence_set_deadline" },
	{ 0x2e09635a, "drm_client_modeset_probe" },
	{ 0x1e8e1af5, "drm_warn_on_modeset_not_all_locked" },
	{ 0x722271e3, "drm_plane_get_damage_clips" },
	{ 0xc8f55b2f, "devres_add" },
	{ 0xfd26b0f3, "dma_fence_wait_timeout" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x105a1a2d, "drm_add_modes_noedid" },
	{ 0xfd8b30ea, "drm_bridge_remove" },
	{ 0x724b2317, "drm_mode_object_put" },
	{ 0xa146a04e, "dev_driver_string" },
	{ 0x2232d474, "drm_crtc_vblank_get" },
	{ 0x4f432827, "drm_gem_object_lookup" },
	{ 0xb016567d, "drm_crtc_send_vblank_event" },
	{ 0x33e18b42, "drm_connector_attach_encoder" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8e638706, "drm_atomic_normalize_zpos" },
	{ 0x90bae6a2, "drm_edid_connector_update" },
	{ 0x3e13525a, "drm_sysfs_hotplug_event" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc6eb9b6a, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd3c797a7, "drm_crtc_vblank_reset" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x40d04664, "console_trylock" },
	{ 0xe6e57fed, "drm_connector_list_iter_end" },
	{ 0x9e36d201, "drm_atomic_set_crtc_for_plane" },
	{ 0x7a063854, "drm_client_modeset_dpms" },
	{ 0x528d4c29, "drm_mode_prune_invalid" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x632eddc0, "drm_client_dev_hotplug" },
	{ 0x5e9e28d7, "_dev_info" },
	{ 0xf1fe2712, "dma_resv_get_singleton" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0x89839eca, "drm_plane_cleanup" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0xe2cc4bb5, "module_put" },
	{ 0x4525c8ed, "dma_buf_begin_cpu_access" },
	{ 0x98b71c6, "fb_dealloc_cmap" },
	{ 0x1a48d7ff, "drm_atomic_get_crtc_state" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x5a13665b, "drm_client_init" },
	{ 0x87e4c4e, "drm_crtc_wait_one_vblank" },
	{ 0xde6c2295, "drm_crtc_next_vblank_start" },
	{ 0xeb1e27b9, "__drmm_encoder_alloc" },
	{ 0xd7a9cf42, "drm_mode_validate_size" },
	{ 0x9a18e7a4, "drm_modeset_lock" },
	{ 0x57dc394, "drm_client_modeset_commit_locked" },
	{ 0x981fcfe6, "drm_modeset_unlock" },
	{ 0xc8d38c50, "drm_panel_disable" },
	{ 0xcbb902bf, "drm_property_replace_blob" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd0339858, "drm_connector_init" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xf6a3107b, "devm_kfree" },
	{ 0x17b5c7ca, "_dev_err" },
	{ 0x4c1e1f, "drm_writeback_cleanup_job" },
	{ 0xa0d48499, "drm_modeset_lock_all_ctx" },
	{ 0x934a2a5e, "i2c_unregister_device" },
	{ 0x7b0b6224, "drm_atomic_set_fb_for_plane" },
	{ 0x4ce95197, "__drm_universal_plane_alloc" },
	{ 0x1d52b083, "drm_edid_connector_add_modes" },
	{ 0x508cb9d1, "drm_probe_ddc" },
	{ 0x4df1d4d2, "mutex_lock" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0xfce17933, "__devres_alloc_node" },
	{ 0xdf404048, "drm_edid_read" },
	{ 0xed4eac8a, "drm_crtc_commit_wait" },
	{ 0xba4b8ada, "drm_dev_has_vblank" },
	{ 0x26daa065, "register_framebuffer" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xd39e4a5f, "__drm_atomic_helper_disable_plane" },
	{ 0x6fe0a089, "drm_connector_set_orientation_from_panel" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xa931c7a7, "drm_gem_handle_create" },
	{ 0x5db8bf3a, "drm_atomic_set_crtc_for_connector" },
	{ 0xadee9375, "drm_analog_tv_mode" },
	{ 0x16a22d8f, "drm_crtc_init_with_planes" },
	{ 0x7a890c8, "fb_alloc_cmap" },
	{ 0x1c686900, "drm_mode_duplicate" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x2ded1dc1, "drm_crtc_vblank_put" },
	{ 0xbda2a8a9, "i2c_new_client_device" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0x2232a2ae, "__drm_dev_dbg" },
	{ 0xbdc2e88, "drm_plane_get_damage_clips_count" },
	{ 0x6b328906, "drm_atomic_commit" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0x3c99112f, "drm_atomic_state_alloc" },
	{ 0x68def348, "drm_client_modeset_commit" },
	{ 0x6504dd51, "_dev_warn" },
	{ 0xf4f78f85, "drm_atomic_bridge_chain_post_disable" },
	{ 0x7adc801b, "drm_connector_update_edid_property" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0xc631580a, "console_unlock" },
	{ 0xe9440a97, "fb_set_suspend" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xb446646d, "drm_atomic_get_new_crtc_for_encoder" },
	{ 0xda84fe39, "drm_client_release" },
	{ 0xc620742, "rt_spin_unlock" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x2689a262, "__drm_atomic_helper_set_config" },
	{ 0xa0920587, "mutex_trylock" },
	{ 0x9dc8d101, "rt_spin_lock" },
	{ 0xab0b5383, "drm_atomic_set_mode_prop_for_crtc" },
	{ 0x4d5e9552, "drm_connector_cleanup" },
	{ 0x41250f84, "drm_get_format_info" },
	{ 0x164dead0, "drm_universal_plane_init" },
	{ 0xc04e0cf3, "drm_any_plane_has_format" },
	{ 0xc580039, "drm_connector_list_iter_next" },
	{ 0xf568f6ef, "drm_modeset_acquire_fini" },
	{ 0x341b5ac6, "drm_encoder_init" },
	{ 0x9d25e2ba, "drm_object_property_get_default_value" },
	{ 0x2922daf7, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xb33c471f, "param_ops_bool" },
	{ 0x63971497, "drm_master_internal_acquire" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xce433046, "drm_modeset_backoff" },
	{ 0xd6bbf063, "drm_panel_prepare" },
	{ 0x78703df7, "drm_bridge_chain_mode_set" },
	{ 0xf1421d13, "drm_mode_sort" },
	{ 0xa1f50fe0, "drm_atomic_get_plane_state" },
	{ 0xd50a0248, "drm_atomic_bridge_chain_check" },
	{ 0x1a88a0b2, "dma_fence_chain_init" },
	{ 0x3ad0d573, "register_sysrq_key" },
	{ 0xa15341f9, "drm_property_blob_get" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x3af1480e, "drm_property_blob_put" },
	{ 0xe967d63f, "drm_mode_destroy" },
	{ 0xe53e1e5, "drm_bridge_attach" },
	{ 0xad8e45b1, "drm_set_preferred_mode" },
	{ 0x8462962c, "drm_atomic_bridge_chain_pre_enable" },
	{ 0x98f1d813, "drm_atomic_state_clear" },
	{ 0x248c31ca, "drm_mode_config_reset" },
	{ 0x4c3f6438, "drm_property_create_blob" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0x157382b6, "kmalloc_trace" },
	{ 0xf83d30df, "drm_modeset_drop_locks" },
	{ 0x9ba180b9, "framebuffer_release" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xa71094d8, "drm_atomic_bridge_chain_disable" },
	{ 0x93380926, "drm_mode_create_from_cmdline_mode" },
	{ 0xfb453192, "drm_mode_validate_ycbcr420" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0x55c86ae9, "param_ops_int" },
	{ 0xc96ef315, "drm_atomic_nonblocking_commit" },
	{ 0xed41f035, "debugfs_create_dir" },
	{ 0x21ef374c, "try_wait_for_completion" },
	{ 0x4d220c6, "drm_master_internal_release" },
	{ 0xbd1883c3, "drm_calc_timestamping_constants" },
	{ 0xcdb99cc9, "drm_mode_init" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x5023fd25, "__mutex_rt_init" },
	{ 0xfd60df2, "drm_get_connector_status_name" },
	{ 0x1e306920, "drm_panel_unprepare" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xef04d985, "kmalloc_caches" },
	{ 0x2d95f743, "drm_atomic_add_encoder_bridges" },
	{ 0xf1203b2f, "drm_atomic_get_connector_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xeafc5be0, "drm_sysfs_connector_hotplug_event" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x4403a9c3, "drm_mode_get_hv_timing" },
	{ 0x55439103, "module_layout" },
};

MODULE_INFO(depends, "fb,drm");


MODULE_INFO(srcversion, "B7661952925E31DDED407A3");
MODULE_INFO(rhelversion, "9.7");
