#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(stm_register_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_protocol, "_gpl", "");
KSYMTAB_FUNC(stm_data_write, "_gpl", "");
KSYMTAB_FUNC(stm_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_register_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_unregister_device, "_gpl", "");
KSYMTAB_FUNC(stm_source_write, "_gpl", "");
KSYMTAB_FUNC(to_pdrv_policy_node, "_gpl", "");

SYMBOL_CRC(stm_register_protocol, 0xf95b7a19, "_gpl");
SYMBOL_CRC(stm_unregister_protocol, 0xaeb21a90, "_gpl");
SYMBOL_CRC(stm_data_write, 0xd38a05fe, "_gpl");
SYMBOL_CRC(stm_register_device, 0x674362ee, "_gpl");
SYMBOL_CRC(stm_unregister_device, 0x4de55bc7, "_gpl");
SYMBOL_CRC(stm_source_register_device, 0x2b1bdae9, "_gpl");
SYMBOL_CRC(stm_source_unregister_device, 0x58072677, "_gpl");
SYMBOL_CRC(stm_source_write, 0xe2c49fe9, "_gpl");
SYMBOL_CRC(to_pdrv_policy_node, 0xbc4d7e67, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8ada781b, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xeb98186e, "config_group_init" },
	{ 0xd64ed259, "__memcat_p" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xfaaffc6c, "device_unregister" },
	{ 0x4ac2e6cf, "pm_runtime_set_autosuspend_delay" },
	{ 0xd1f121ad, "rt_mutex_base_init" },
	{ 0x7f3ff360, "vm_iomap_memory" },
	{ 0x2b35b28c, "config_item_get" },
	{ 0x70ea8022, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0xb307ee50, "pcpu_hot" },
	{ 0x48f5305a, "synchronize_srcu" },
	{ 0xf9f8ced7, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4028442b, "configfs_unregister_subsystem" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1d389aa7, "__pm_runtime_set_status" },
	{ 0x574c2e74, "bitmap_release_region" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x459b38c7, "put_device" },
	{ 0x82d1876e, "pm_runtime_enable" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x9f984513, "strrchr" },
	{ 0xe2cc4bb5, "module_put" },
	{ 0x65fc427d, "compat_ptr_ioctl" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xe6d16354, "init_srcu_struct" },
	{ 0xddc22803, "down_write" },
	{ 0xab09aed1, "up_write" },
	{ 0xa03964c2, "configfs_register_subsystem" },
	{ 0xb3a59242, "device_add" },
	{ 0xdac4913a, "bitmap_allocate_region" },
	{ 0x9ca9aebd, "__srcu_read_lock" },
	{ 0x97cdba38, "config_group_init_type_name" },
	{ 0x4df1d4d2, "mutex_lock" },
	{ 0xfb8b1901, "class_unregister" },
	{ 0xdc2106a8, "cleanup_srcu_struct" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x6c8285c1, "__get_task_comm" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xc620742, "rt_spin_unlock" },
	{ 0x1f516da9, "pm_runtime_no_callbacks" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9dc8d101, "rt_spin_lock" },
	{ 0xd37889bc, "nonseekable_open" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb8fe22c0, "pm_runtime_forbid" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xd1712e36, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x2922daf7, "mutex_unlock" },
	{ 0x8426fee1, "config_item_put" },
	{ 0x7e71247, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x36e30e51, "kobject_set_name" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x561cc9b5, "device_match_name" },
	{ 0x959fe3d5, "__srcu_read_unlock" },
	{ 0xe1486531, "boot_cpu_data" },
	{ 0x157382b6, "kmalloc_trace" },
	{ 0x15535cb6, "__pm_runtime_suspend" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0xa5bb15b8, "__pm_runtime_use_autosuspend" },
	{ 0xb798c18f, "__pm_runtime_disable" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x5023fd25, "__mutex_rt_init" },
	{ 0x10312e12, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xef04d985, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xd7edccb9, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x55439103, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F8F69BDCAFE2113ED1BC33F");
MODULE_INFO(rhelversion, "9.7");
