#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(stmmac_bus_clks_config, "_gpl", "");
KSYMTAB_FUNC(stmmac_init_tstamp_counter, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_probe, "_gpl", "");
KSYMTAB_FUNC(stmmac_dvr_remove, "_gpl", "");
KSYMTAB_FUNC(stmmac_suspend, "_gpl", "");
KSYMTAB_FUNC(stmmac_resume, "_gpl", "");
KSYMTAB_FUNC(stmmac_set_mac_addr, "_gpl", "");
KSYMTAB_FUNC(stmmac_get_mac_addr, "_gpl", "");

SYMBOL_CRC(stmmac_bus_clks_config, 0x9906af21, "_gpl");
SYMBOL_CRC(stmmac_init_tstamp_counter, 0xfa5fc11c, "_gpl");
SYMBOL_CRC(stmmac_dvr_probe, 0x4f7e7d86, "_gpl");
SYMBOL_CRC(stmmac_dvr_remove, 0x257b2e7a, "_gpl");
SYMBOL_CRC(stmmac_suspend, 0x4d392c1d, "_gpl");
SYMBOL_CRC(stmmac_resume, 0xb7d468f6, "_gpl");
SYMBOL_CRC(stmmac_set_mac_addr, 0xd1cc24db, "_gpl");
SYMBOL_CRC(stmmac_get_mac_addr, 0x92d778bb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x514daf94, "mdiobus_alloc_size" },
	{ 0xa0da7c4a, "__tracepoint_xdp_exception" },
	{ 0xd38fe113, "napi_alloc_skb" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x72507b86, "device_set_wakeup_enable" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x9444ee9e, "bpf_prog_put" },
	{ 0x3cc9c96f, "device_set_wakeup_capable" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x25e82b45, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa6705cc7, "devm_kmalloc" },
	{ 0xd8cc0b6d, "eth_mac_addr" },
	{ 0x4bfc0415, "skb_put" },
	{ 0x613fa755, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xaf2f4e75, "netdev_update_features" },
	{ 0x34e43289, "consume_skb" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xb0e602eb, "memmove" },
	{ 0x7d3d491e, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe63bc632, "hrtimer_try_to_cancel" },
	{ 0xc798dc70, "bpf_warn_invalid_xdp_action" },
	{ 0xcd4a0552, "unregister_netdev" },
	{ 0x60107141, "xdp_convert_zc_to_xdp_frame" },
	{ 0xc181fcc3, "xdp_features_set_redirect_target" },
	{ 0xd1f121ad, "rt_mutex_base_init" },
	{ 0xca007fad, "dma_unmap_page_attrs" },
	{ 0xfea79994, "hrtimer_init" },
	{ 0x2b716f56, "skb_add_rx_frag" },
	{ 0xaf2aa4f7, "get_device_system_crosststamp" },
	{ 0x30cfb99e, "ptp_clock_index" },
	{ 0x5d51ff65, "phy_attached_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0xb307ee50, "pcpu_hot" },
	{ 0x5237875d, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x1551db95, "page_pool_destroy" },
	{ 0xe48ab4d2, "xdp_do_redirect" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5417ad07, "netdev_warn" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x6f97e471, "__wake_up" },
	{ 0x50cd23fa, "flow_rule_match_ipv4_addrs" },
	{ 0xa0e714d4, "xdp_rxq_info_unreg_mem_model" },
	{ 0xb64a0bf6, "__netif_napi_del" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x3fdb0037, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x20b0e634, "phylink_limit_mac_speed" },
	{ 0xd3b1259f, "phylink_create" },
	{ 0x4278d56a, "phylink_expects_phy" },
	{ 0xa146a04e, "dev_driver_string" },
	{ 0x53a8950c, "pinctrl_pm_select_default_state" },
	{ 0x437e37e8, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0xcafb090d, "eth_type_trans" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1d389aa7, "__pm_runtime_set_status" },
	{ 0x7bf8e24a, "dma_map_page_attrs" },
	{ 0x9b8b2cac, "napi_complete_done" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xb5aaab4e, "__devm_alloc_percpu" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xe6d0a15a, "pm_wakeup_dev_event" },
	{ 0x1c620370, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb8bc24e3, "__napi_schedule" },
	{ 0x82d1876e, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0x6fa426d2, "phylink_ethtool_nway_reset" },
	{ 0xe07ae2ac, "netif_device_detach" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5aacc108, "xpcs_config_eee" },
	{ 0x16ca1a8a, "phylink_suspend" },
	{ 0xda6aa406, "rt_write_unlock" },
	{ 0x5e9e28d7, "_dev_info" },
	{ 0xab2bfbe0, "xpcs_create_mdiodev" },
	{ 0xd902d132, "napi_gro_receive" },
	{ 0x2acb463f, "netif_device_attach" },
	{ 0x8267f661, "xdp_features_clear_redirect_target" },
	{ 0xed3a053c, "phylink_ethtool_get_eee" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0xf8551d3e, "netdev_pick_tx" },
	{ 0xa7ad4fea, "phy_init_eee" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xe141e07c, "xdp_rxq_info_is_reg" },
	{ 0xa0317c37, "devm_alloc_etherdev_mqs" },
	{ 0x8f2847ad, "flow_block_cb_setup_simple" },
	{ 0x90f6c4bd, "flow_rule_match_basic" },
	{ 0x5d0c4dcc, "phylink_speed_up" },
	{ 0x52d349cf, "dev_open" },
	{ 0xfaefa55a, "__dma_sync_single_for_cpu" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x17b5c7ca, "_dev_err" },
	{ 0xbfe7c7f6, "xpcs_destroy" },
	{ 0x2533bc1d, "pinctrl_pm_select_sleep_state" },
	{ 0xb39fe2f4, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x832d62f8, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x6375df9a, "ptp_clock_register" },
	{ 0x7c5eb201, "netif_set_real_num_tx_queues" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x27332821, "netif_set_real_num_rx_queues" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0x512782fa, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4df1d4d2, "mutex_lock" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0x99edf223, "dma_alloc_attrs" },
	{ 0xa547cf86, "debugfs_remove" },
	{ 0xccffbc3e, "napi_enable" },
	{ 0xa7daddd1, "xpcs_get_interfaces" },
	{ 0xb0f7944, "register_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xd2e1d2c7, "mdiobus_free" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0xc0a8f4be, "phylink_resume" },
	{ 0xe3f2751a, "phylink_generic_validate" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4936e2bc, "ethtool_op_get_link" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0xc03bb420, "__SCK__tp_func_xdp_exception" },
	{ 0x68542c3f, "phylink_ethtool_set_eee" },
	{ 0x8213956, "phylink_ethtool_get_wol" },
	{ 0x39538595, "netif_tx_wake_queue" },
	{ 0x8852b602, "fwnode_get_phy_node" },
	{ 0x1e1e140e, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xe2f155d7, "page_pool_create" },
	{ 0xfb578fc5, "memset" },
	{ 0x6504dd51, "_dev_warn" },
	{ 0x564f31f7, "flow_rule_match_ports" },
	{ 0x2bcbc6e3, "phylink_fwnode_phy_connect" },
	{ 0x8805ec71, "hrtimer_start_range_ns" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xe11f8fc, "ptp_clock_event" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x5f0e00ed, "netif_schedule_queue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x753c9f7, "fwnode_get_named_child_node" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x64a62247, "__init_waitqueue_head" },
	{ 0xca5c094d, "ptp_clock_unregister" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xc620742, "rt_spin_unlock" },
	{ 0xad181f24, "xpcs_get_an_mode" },
	{ 0x9dc8d101, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x3fecec42, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x524c9eb6, "xdp_return_frame_rx_napi" },
	{ 0xa5b715fe, "netdev_alert" },
	{ 0x755f078a, "dma_set_coherent_mask" },
	{ 0xb6b8fbb0, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xce14c1c4, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd170e4d2, "phylink_ethtool_ksettings_set" },
	{ 0x7455d536, "rt_read_lock" },
	{ 0x7f89106e, "debugfs_rename" },
	{ 0x52abceab, "debugfs_create_file" },
	{ 0x7060449e, "dma_free_attrs" },
	{ 0xd1712e36, "__pm_runtime_resume" },
	{ 0x825c7340, "phylink_get_eee_err" },
	{ 0x2922daf7, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x90e797c6, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x5fa5d02d, "flow_rule_match_vlan" },
	{ 0x3f5b879d, "xdp_rxq_info_unreg" },
	{ 0x93f28b0f, "page_pool_alloc_pages" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x16c97df5, "__xdp_rxq_info_reg" },
	{ 0x975a131a, "rt_read_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc8720939, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x2f74e1f8, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x59e0695d, "phylink_speed_down" },
	{ 0xbaaf5b3f, "mdiobus_get_phy" },
	{ 0x6c751630, "netif_carrier_on" },
	{ 0xaae57460, "rt_write_lock" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0x122cf613, "__mdiobus_register" },
	{ 0xe6020f33, "phylink_ethtool_ksettings_get" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x3e2cd6f9, "hrtimer_cancel" },
	{ 0x81af1aff, "single_release" },
	{ 0x834129a7, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x62104126, "phylink_ethtool_set_wol" },
	{ 0x99042398, "dev_err_probe" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0x157382b6, "kmalloc_trace" },
	{ 0xc5c87401, "xdp_master_redirect" },
	{ 0xde66f4a7, "phylink_mii_ioctl" },
	{ 0x14399280, "napi_schedule_prep" },
	{ 0x19792f0, "napi_disable" },
	{ 0xc2f73bc9, "dev_kfree_skb_any_reason" },
	{ 0x65cc260a, "eth_header_parse_protocol" },
	{ 0x55c86ae9, "param_ops_int" },
	{ 0xadba2cbc, "phylink_pcs_pre_init" },
	{ 0xefdf2abf, "single_open" },
	{ 0xb798c18f, "__pm_runtime_disable" },
	{ 0xed41f035, "debugfs_create_dir" },
	{ 0x815588a6, "clk_enable" },
	{ 0xb437d7b3, "skb_clone_tx_timestamp" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x5023fd25, "__mutex_rt_init" },
	{ 0x781c00, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0x47569d3a, "ethtool_op_get_ts_info" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x48be950a, "__dev_fwnode" },
	{ 0xef04d985, "kmalloc_caches" },
	{ 0x8ede2b1f, "netdev_info" },
	{ 0xa06f4cb8, "page_pool_put_unrefed_page" },
	{ 0x43c8673c, "phylink_connect_phy" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x55439103, "module_layout" },
};

MODULE_INFO(depends, "ptp,phylink,pcs_xpcs");


MODULE_INFO(srcversion, "F45351FE0258CEE1E5D9C33");
MODULE_INFO(rhelversion, "9.7");
