#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wwan_get_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_put_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_create_port, "_gpl", "");
KSYMTAB_FUNC(wwan_remove_port, "_gpl", "");
KSYMTAB_FUNC(wwan_port_rx, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txon, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txoff, "_gpl", "");
KSYMTAB_FUNC(wwan_port_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(wwan_register_ops, "_gpl", "");
KSYMTAB_FUNC(wwan_unregister_ops, "_gpl", "");

SYMBOL_CRC(wwan_get_debugfs_dir, 0x5f4c77e5, "_gpl");
SYMBOL_CRC(wwan_put_debugfs_dir, 0xe3cd1e1e, "_gpl");
SYMBOL_CRC(wwan_create_port, 0x7cfc2697, "_gpl");
SYMBOL_CRC(wwan_remove_port, 0xb74c31cd, "_gpl");
SYMBOL_CRC(wwan_port_rx, 0x0d4b0c42, "_gpl");
SYMBOL_CRC(wwan_port_txon, 0x3d9bbf75, "_gpl");
SYMBOL_CRC(wwan_port_txoff, 0x4dff61e5, "_gpl");
SYMBOL_CRC(wwan_port_get_drvdata, 0x526bcf2a, "_gpl");
SYMBOL_CRC(wwan_register_ops, 0x8f971ed9, "_gpl");
SYMBOL_CRC(wwan_unregister_ops, 0x9f2d59f5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x690f13e1, "ida_alloc_range" },
	{ 0x4937f944, "class_dev_iter_next" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc4bdf9fb, "__nlmsg_put" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4bfc0415, "skb_put" },
	{ 0xf259ff8f, "dev_set_name" },
	{ 0x34e43289, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xfaaffc6c, "device_unregister" },
	{ 0x711e838c, "skb_dequeue" },
	{ 0xd1f121ad, "rt_mutex_base_init" },
	{ 0x6f25a149, "finish_wait" },
	{ 0xf5d78b56, "rtnl_link_register" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x37a0cba, "kfree" },
	{ 0xf58a6e14, "device_for_each_child" },
	{ 0x7ba7683d, "prepare_to_wait_event" },
	{ 0x6f97e471, "__wake_up" },
	{ 0xf151ad21, "rtnl_create_link" },
	{ 0x6088be99, "unregister_netdevice_queue" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe73f0d62, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x854f6c2b, "alloc_netdev_mqs" },
	{ 0x61a4174d, "class_dev_iter_exit" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x459b38c7, "put_device" },
	{ 0x4a0fc551, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5e9e28d7, "_dev_info" },
	{ 0x9c1b9869, "skb_queue_tail" },
	{ 0x7d80986d, "rtnl_configure_link" },
	{ 0x65fc427d, "compat_ptr_ioctl" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x77916cbe, "rtnl_link_unregister" },
	{ 0x4af98bdb, "init_net" },
	{ 0xb39fe2f4, "skb_pull" },
	{ 0x3859c57d, "sk_skb_reason_drop" },
	{ 0x9f83493e, "noop_llseek" },
	{ 0x4df1d4d2, "mutex_lock" },
	{ 0xa547cf86, "debugfs_remove" },
	{ 0x6e2b5444, "nla_put" },
	{ 0x15055444, "ida_free" },
	{ 0x3d456139, "free_netdev" },
	{ 0xfb8b1901, "class_unregister" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x79a2449b, "class_dev_iter_init" },
	{ 0x304e944, "device_register" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x64a62247, "__init_waitqueue_head" },
	{ 0xc620742, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9dc8d101, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x2922daf7, "mutex_unlock" },
	{ 0x7e71247, "__register_chrdev" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x79637a1a, "stream_open" },
	{ 0x157382b6, "kmalloc_trace" },
	{ 0x8a6cbee9, "device_find_child_by_name" },
	{ 0x754d539c, "strlen" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xed41f035, "debugfs_create_dir" },
	{ 0x5023fd25, "__mutex_rt_init" },
	{ 0x10312e12, "class_register" },
	{ 0xef04d985, "kmalloc_caches" },
	{ 0xccc93b29, "skb_queue_head" },
	{ 0xd7edccb9, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x3db6f991, "register_netdevice" },
	{ 0x55439103, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3549841979CC29F5D1EEDEF");
MODULE_INFO(rhelversion, "9.7");
