#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(admin_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_io_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_wq, "_gpl", "");
KSYMTAB_DATA(nvme_reset_wq, "_gpl", "");
KSYMTAB_DATA(nvme_delete_wq, "_gpl", "");
KSYMTAB_FUNC(nvme_try_sched_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_reset_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_delete_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_rq, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_batch_req, "_gpl", "");
KSYMTAB_FUNC(nvme_host_path_error, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_request, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_admin_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_change_ctrl_state, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_put_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_init_request, "_gpl", "");
KSYMTAB_FUNC(nvme_fail_nonready_command, "_gpl", "");
KSYMTAB_FUNC(__nvme_check_ready, "_gpl", "");
KSYMTAB_FUNC(nvme_cleanup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_setup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_execute_rq, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(__nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_command_effects, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_start, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_end, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_stop_keep_alive, "_gpl", "");
KSYMTAB_FUNC(nvme_set_features, "_gpl", "");
KSYMTAB_FUNC(nvme_get_features, "_gpl", "");
KSYMTAB_FUNC(nvme_set_queue_count, "_gpl", "");
KSYMTAB_FUNC(nvme_disable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_enable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl_finish, "_gpl", "");
KSYMTAB_FUNC(nvme_find_get_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_remove_namespaces, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_async_event, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_stop_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_start_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_uninit_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_add_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_mark_namespaces_dead, "_gpl", "");
KSYMTAB_FUNC(nvme_unfreeze, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze_timeout, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_start_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_ctrl_from_file, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_DATA(nvme_dev_attrs_group, "_gpl", "");
KSYMTAB_FUNC(nvme_get_opcode_str, "_gpl", "");
KSYMTAB_FUNC(nvme_get_admin_opcode_str, "_gpl", "");
KSYMTAB_FUNC(nvme_get_fabrics_opcode_str, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nvme_sq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(nvme_mpath_start_request, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_negotiate, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_wait, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_stop, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_free, "_gpl", "");

SYMBOL_CRC(admin_timeout, 0xd45434ee, "_gpl");
SYMBOL_CRC(nvme_io_timeout, 0x813cf212, "_gpl");
SYMBOL_CRC(nvme_wq, 0x64b62862, "_gpl");
SYMBOL_CRC(nvme_reset_wq, 0x49224181, "_gpl");
SYMBOL_CRC(nvme_delete_wq, 0xd58bbbcb, "_gpl");
SYMBOL_CRC(nvme_try_sched_reset, 0x3a38c868, "_gpl");
SYMBOL_CRC(nvme_reset_ctrl, 0xdd58ac30, "_gpl");
SYMBOL_CRC(nvme_delete_ctrl, 0x84a59104, "_gpl");
SYMBOL_CRC(nvme_complete_rq, 0x9b653a5e, "_gpl");
SYMBOL_CRC(nvme_complete_batch_req, 0x68540e4b, "_gpl");
SYMBOL_CRC(nvme_host_path_error, 0xbddc6185, "_gpl");
SYMBOL_CRC(nvme_cancel_request, 0xc49511f1, "_gpl");
SYMBOL_CRC(nvme_cancel_tagset, 0xc2166029, "_gpl");
SYMBOL_CRC(nvme_cancel_admin_tagset, 0xd1d4fa5b, "_gpl");
SYMBOL_CRC(nvme_change_ctrl_state, 0x77b2096a, "_gpl");
SYMBOL_CRC(nvme_wait_reset, 0xf0be9383, "_gpl");
SYMBOL_CRC(nvme_put_ns, 0x9b69170f, "_gpl");
SYMBOL_CRC(nvme_init_request, 0x7e97acba, "_gpl");
SYMBOL_CRC(nvme_fail_nonready_command, 0xf2de9a28, "_gpl");
SYMBOL_CRC(__nvme_check_ready, 0xa583d47a, "_gpl");
SYMBOL_CRC(nvme_cleanup_cmd, 0xce65b183, "_gpl");
SYMBOL_CRC(nvme_setup_cmd, 0xa12f0a97, "_gpl");
SYMBOL_CRC(nvme_execute_rq, 0x2f63ede6, "_gpl");
SYMBOL_CRC(__nvme_submit_sync_cmd, 0x4f4a1a0c, "_gpl");
SYMBOL_CRC(nvme_submit_sync_cmd, 0x192e11f2, "_gpl");
SYMBOL_CRC(nvme_command_effects, 0x3f6d9c5e, "_gpl");
SYMBOL_CRC(nvme_passthru_start, 0x6bf412c3, "_gpl");
SYMBOL_CRC(nvme_passthru_end, 0xe70e62f3, "_gpl");
SYMBOL_CRC(nvme_stop_keep_alive, 0x012208d2, "_gpl");
SYMBOL_CRC(nvme_set_features, 0xaad3c943, "_gpl");
SYMBOL_CRC(nvme_get_features, 0x8d2f0ce2, "_gpl");
SYMBOL_CRC(nvme_set_queue_count, 0x03f95c25, "_gpl");
SYMBOL_CRC(nvme_disable_ctrl, 0x94f409f8, "_gpl");
SYMBOL_CRC(nvme_enable_ctrl, 0xadcaf785, "_gpl");
SYMBOL_CRC(nvme_init_ctrl_finish, 0x008c52cf, "_gpl");
SYMBOL_CRC(nvme_find_get_ns, 0x3e75c1e9, "_gpl");
SYMBOL_CRC(nvme_remove_namespaces, 0x647e5249, "_gpl");
SYMBOL_CRC(nvme_complete_async_event, 0xbc5a7b1b, "_gpl");
SYMBOL_CRC(nvme_alloc_admin_tag_set, 0xd8642de8, "_gpl");
SYMBOL_CRC(nvme_remove_admin_tag_set, 0xc7bab4d5, "_gpl");
SYMBOL_CRC(nvme_alloc_io_tag_set, 0x2329ab49, "_gpl");
SYMBOL_CRC(nvme_remove_io_tag_set, 0x41d1b2dd, "_gpl");
SYMBOL_CRC(nvme_stop_ctrl, 0x315aee75, "_gpl");
SYMBOL_CRC(nvme_start_ctrl, 0xad6493ba, "_gpl");
SYMBOL_CRC(nvme_uninit_ctrl, 0xf948f929, "_gpl");
SYMBOL_CRC(nvme_init_ctrl, 0x93e58d03, "_gpl");
SYMBOL_CRC(nvme_add_ctrl, 0x933bc84c, "_gpl");
SYMBOL_CRC(nvme_mark_namespaces_dead, 0x6a580777, "_gpl");
SYMBOL_CRC(nvme_unfreeze, 0x0809ee34, "_gpl");
SYMBOL_CRC(nvme_wait_freeze_timeout, 0x128894b5, "_gpl");
SYMBOL_CRC(nvme_wait_freeze, 0x1d6c76df, "_gpl");
SYMBOL_CRC(nvme_start_freeze, 0x656061b3, "_gpl");
SYMBOL_CRC(nvme_quiesce_io_queues, 0x4886df12, "_gpl");
SYMBOL_CRC(nvme_unquiesce_io_queues, 0x9ecf8ef5, "_gpl");
SYMBOL_CRC(nvme_quiesce_admin_queue, 0x7614c414, "_gpl");
SYMBOL_CRC(nvme_unquiesce_admin_queue, 0x7b471614, "_gpl");
SYMBOL_CRC(nvme_sync_io_queues, 0x7a7670d4, "_gpl");
SYMBOL_CRC(nvme_sync_queues, 0x30cee4bb, "_gpl");
SYMBOL_CRC(nvme_ctrl_from_file, 0x68376db5, "_gpl");
SYMBOL_CRC(nvme_dev_attrs_group, 0x65e1670d, "_gpl");
SYMBOL_CRC(nvme_get_opcode_str, 0xedb8efd2, "_gpl");
SYMBOL_CRC(nvme_get_admin_opcode_str, 0xe1edd5b5, "_gpl");
SYMBOL_CRC(nvme_get_fabrics_opcode_str, 0xa7b9633b, "_gpl");
SYMBOL_CRC(__tracepoint_nvme_sq, 0x8f367355, "_gpl");
SYMBOL_CRC(__traceiter_nvme_sq, 0x8694f918, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nvme_sq, 0x82e2a61b, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nvme_sq, 0x3bf2393a, "_gpl");
SYMBOL_CRC(nvme_mpath_start_request, 0xba0d13ef, "_gpl");
SYMBOL_CRC(nvme_auth_negotiate, 0xfb58463b, "_gpl");
SYMBOL_CRC(nvme_auth_wait, 0x4cba9d28, "_gpl");
SYMBOL_CRC(nvme_auth_init_ctrl, 0x29cf68dc, "_gpl");
SYMBOL_CRC(nvme_auth_stop, 0x435eb963, "_gpl");
SYMBOL_CRC(nvme_auth_free, 0x387ada9e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc2ffa42c, "set_capacity_and_notify" },
	{ 0x8b0ea7e1, "bio_associate_blkg" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc671ba96, "set_disk_ro" },
	{ 0x80d23275, "__blk_alloc_disk" },
	{ 0x690f13e1, "ida_alloc_range" },
	{ 0x8ada781b, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xd4da41b6, "blk_rq_integrity_map_user" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xaef6fa5d, "ida_destroy" },
	{ 0x48a17bfe, "device_remove_file_self" },
	{ 0xc74ea13f, "param_ops_uint" },
	{ 0x8118bba8, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf259ff8f, "dev_set_name" },
	{ 0x65ba76fe, "bio_split_to_limits" },
	{ 0x525d0aa3, "trace_seq_printf" },
	{ 0xc288e56, "dev_pm_qos_expose_latency_tolerance" },
	{ 0x8cd598cb, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3ebb85c6, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xdfd86db, "blk_mq_tagset_wait_completed_request" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x50605663, "cdev_device_del" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xd1f121ad, "rt_mutex_base_init" },
	{ 0x6f25a149, "finish_wait" },
	{ 0xa6d17616, "queue_limits_stack_bdev" },
	{ 0xe9ffb0f0, "trace_event_printf" },
	{ 0xf9edc603, "nvme_auth_transform_key" },
	{ 0x70ea8022, "device_initialize" },
	{ 0x4230fec7, "blk_mq_unquiesce_queue" },
	{ 0xf2c18bfb, "blk_mq_quiesce_queue" },
	{ 0x1d7a9530, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa561bd19, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0xb307ee50, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0xa8694ecd, "kblockd_schedule_work" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2c601f2e, "bpf_trace_run2" },
	{ 0x7ba7683d, "prepare_to_wait_event" },
	{ 0xcf60b156, "disk_uevent" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0x660bcd2d, "event_triggers_call" },
	{ 0x6f97e471, "__wake_up" },
	{ 0x48f5305a, "synchronize_srcu" },
	{ 0x7ffb884, "param_ops_byte" },
	{ 0x4538692b, "kmem_cache_create" },
	{ 0xd82589b4, "get_device" },
	{ 0x3f71e4f6, "blk_mq_end_request" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x1eb78e9a, "__blk_mq_alloc_disk" },
	{ 0xf9f8ced7, "__dynamic_dev_dbg" },
	{ 0x481162ce, "mempool_free" },
	{ 0x9493fc86, "node_states" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcef7b2f3, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x59c65749, "blk_mq_alloc_tag_set" },
	{ 0x693a3726, "blk_rq_is_poll" },
	{ 0x377c4918, "trace_event_buffer_commit" },
	{ 0x682fc515, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1b5f4377, "trace_seq_putc" },
	{ 0x92997ed8, "_printk" },
	{ 0x98ee0554, "mempool_create" },
	{ 0xe69075c4, "put_disk" },
	{ 0x736c3977, "crypto_alloc_kpp" },
	{ 0x1fe9f14a, "cdev_device_add" },
	{ 0xe1eea9f8, "dev_pm_qos_update_user_latency_tolerance" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8fe50355, "nvme_auth_free_key" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xf02fb432, "blk_execute_rq" },
	{ 0x459b38c7, "put_device" },
	{ 0x13ff9fb4, "trace_event_ignore_this_pid" },
	{ 0xcbe2fbc2, "blk_mq_unquiesce_tagset" },
	{ 0xa916b694, "strnlen" },
	{ 0xa26b43e0, "kmalloc_node_trace" },
	{ 0xd71758e3, "mempool_alloc" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x7bdce13f, "blk_mq_free_request" },
	{ 0x618911fc, "numa_node" },
	{ 0xc3fd3e3e, "__free_pages" },
	{ 0x5e9e28d7, "_dev_info" },
	{ 0x9e38bf80, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0xe2cc4bb5, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xf44ebc19, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xf35e8a2e, "nvme_auth_gen_pubkey" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x65fc427d, "compat_ptr_ioctl" },
	{ 0xdb8904c3, "blk_rq_poll" },
	{ 0x46c47fb6, "__node_distance" },
	{ 0x987eb77f, "blk_mq_quiesce_tagset" },
	{ 0x48d1406c, "kobject_uevent_env" },
	{ 0xa895f283, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xe6d16354, "init_srcu_struct" },
	{ 0x42aef4f, "perf_trace_run_bpf_submit" },
	{ 0x660c5ab4, "__SCK__tp_func_block_bio_remap" },
	{ 0x17b5c7ca, "_dev_err" },
	{ 0x55f68f6, "blk_revalidate_disk_zones" },
	{ 0xe7bb0db2, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xb3a59242, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x866e6a18, "blk_rq_map_user_io" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x69bce203, "sysfs_remove_link" },
	{ 0xa480d4b9, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x9ca9aebd, "__srcu_read_lock" },
	{ 0xa9198496, "set_capacity" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xe2cb25e6, "submit_bio_noacct" },
	{ 0x43abb55c, "xa_load" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4df1d4d2, "mutex_lock" },
	{ 0x58a70b5e, "blk_sync_queue" },
	{ 0x9b8aee5d, "bdev_start_io_acct" },
	{ 0x5a921311, "strncmp" },
	{ 0xefc340a3, "__SCK__tp_func_block_bio_complete" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0x3de57569, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x7bb24d52, "blk_mq_alloc_request_hctx" },
	{ 0xbd16f743, "blk_mq_alloc_request" },
	{ 0x15055444, "ida_free" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xc5cf32d9, "crypto_shash_update" },
	{ 0xfb8b1901, "class_unregister" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xd4547b6c, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd1691994, "del_gendisk" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xdc2106a8, "cleanup_srcu_struct" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x51641162, "opal_unlock_from_suspend" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x22e5d1de, "nvme_auth_augmented_challenge" },
	{ 0x42feebc5, "blk_set_stacking_limits" },
	{ 0xff5a578f, "blk_mq_freeze_queue_wait_timeout" },
	{ 0xb1669d43, "blk_put_queue" },
	{ 0x8b4d536, "bpf_trace_run1" },
	{ 0xd978f232, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x815fda83, "sed_ioctl" },
	{ 0xfb578fc5, "memset" },
	{ 0x6504dd51, "_dev_warn" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x541d9f09, "blk_mq_wait_quiesce_done" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0x64a62247, "__init_waitqueue_head" },
	{ 0xc620742, "rt_spin_unlock" },
	{ 0x4b720e4d, "blk_rq_unmap_user" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xd782a33b, "bdev_disk_changed" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9dc8d101, "rt_spin_lock" },
	{ 0xcbfb33e4, "init_opal_dev" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x28da7fd0, "nvme_auth_generate_key" },
	{ 0x8e27d40d, "xa_erase" },
	{ 0x12289f8e, "bpf_trace_run3" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0xcde77bcc, "free_opal_dev" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x2c81fafd, "blk_mq_complete_request" },
	{ 0xb5a1fed7, "blk_mq_freeze_queue" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x7875960d, "trace_event_buffer_reserve" },
	{ 0xe1abdd00, "crypto_shash_final" },
	{ 0x2922daf7, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xb33c471f, "param_ops_bool" },
	{ 0x185c2ccb, "blk_mq_destroy_queue" },
	{ 0xa9fa7973, "xa_destroy" },
	{ 0x92770ad0, "blk_freeze_queue_start" },
	{ 0x3d554bc3, "dev_pm_qos_hide_latency_tolerance" },
	{ 0xe2fe546d, "xa_find" },
	{ 0x7bcef98b, "alloc_pages" },
	{ 0x24116a51, "mempool_destroy" },
	{ 0x8de7b3da, "blk_mq_alloc_queue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfdc5bf19, "__tracepoint_block_bio_complete" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0xbdabe17, "xa_store" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x959fe3d5, "__srcu_read_unlock" },
	{ 0xd26105a4, "__tracepoint_block_bio_remap" },
	{ 0x944ce0ad, "blk_mq_unfreeze_queue" },
	{ 0x48d9ed61, "blk_mq_tagset_busy_iter" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0xcfb62c3e, "queue_limits_commit_update" },
	{ 0x680f9427, "blkdev_compat_ptr_ioctl" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd91a4c85, "xa_find_after" },
	{ 0x157382b6, "kmalloc_trace" },
	{ 0x282d46ef, "blk_mark_disk_dead" },
	{ 0x754d539c, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xa04ecb50, "crypto_alloc_shash" },
	{ 0x4969c77f, "blk_mq_freeze_queue_wait" },
	{ 0x1941b61d, "nvme_auth_gen_privkey" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x3c1d8b20, "blk_mq_requeue_request" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x5023fd25, "__mutex_rt_init" },
	{ 0x10312e12, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x19e2d7ae, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x34f04955, "bdev_end_io_acct" },
	{ 0xef04d985, "kmalloc_caches" },
	{ 0x4e144a54, "__SCT__tp_func_block_bio_complete" },
	{ 0x810fa634, "blk_steal_bios" },
	{ 0x9b9fef0d, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x55439103, "module_layout" },
};

MODULE_INFO(depends, "nvme-auth");


MODULE_INFO(srcversion, "0DB9151F60FD30DF99FBDC8");
MODULE_INFO(rhelversion, "9.7");
