#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ucsi_notify_common, "_gpl", "");
KSYMTAB_FUNC(ucsi_sync_control_common, "_gpl", "");
KSYMTAB_FUNC(ucsi_send_command, "_gpl", "");
KSYMTAB_FUNC(ucsi_connector_change, "_gpl", "");
KSYMTAB_FUNC(ucsi_resume, "_gpl", "");
KSYMTAB_FUNC(ucsi_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(ucsi_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(ucsi_create, "_gpl", "");
KSYMTAB_FUNC(ucsi_destroy, "_gpl", "");
KSYMTAB_FUNC(ucsi_register, "_gpl", "");
KSYMTAB_FUNC(ucsi_unregister, "_gpl", "");

SYMBOL_CRC(ucsi_notify_common, 0x4549d0bc, "_gpl");
SYMBOL_CRC(ucsi_sync_control_common, 0xc1393743, "_gpl");
SYMBOL_CRC(ucsi_send_command, 0xaea5c7ab, "_gpl");
SYMBOL_CRC(ucsi_connector_change, 0x90e9b8d6, "_gpl");
SYMBOL_CRC(ucsi_resume, 0x0c0c6166, "_gpl");
SYMBOL_CRC(ucsi_get_drvdata, 0xc53b4aa4, "_gpl");
SYMBOL_CRC(ucsi_set_drvdata, 0xe687e218, "_gpl");
SYMBOL_CRC(ucsi_create, 0x55a5ef91, "_gpl");
SYMBOL_CRC(ucsi_destroy, 0x79dfe8d8, "_gpl");
SYMBOL_CRC(ucsi_register, 0x9158012e, "_gpl");
SYMBOL_CRC(ucsi_unregister, 0x81cacdb2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xddf6ad7a, "completion_done" },
	{ 0x6fe50e67, "typec_partner_set_pd_revision" },
	{ 0x30b06c5d, "simple_attr_open" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0xd6ad657a, "typec_register_partner" },
	{ 0x107ea6ee, "typec_port_set_usb_power_delivery" },
	{ 0x8593f43e, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x3fc9f6e4, "typec_port_register_altmode" },
	{ 0xccccc5ac, "power_supply_register" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3ebb85c6, "trace_raw_output_prep" },
	{ 0xc6c6ad4b, "typec_altmode_get_partner" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd1f121ad, "rt_mutex_base_init" },
	{ 0xe9ffb0f0, "trace_event_printf" },
	{ 0x1d7a9530, "trace_event_raw_init" },
	{ 0x52886160, "fwnode_usb_role_switch_get" },
	{ 0x37a0cba, "kfree" },
	{ 0xb307ee50, "pcpu_hot" },
	{ 0x5237875d, "seq_lseek" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x2c601f2e, "bpf_trace_run2" },
	{ 0x660bcd2d, "event_triggers_call" },
	{ 0x8c11335f, "typec_set_mode" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xf9f8ced7, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x377c4918, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7eb114c0, "usb_power_delivery_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x13ff9fb4, "trace_event_ignore_this_pid" },
	{ 0x9b2b31ca, "typec_partner_register_altmode" },
	{ 0xcc3f28a2, "typec_partner_set_num_altmodes" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x165f1f9b, "typec_unregister_partner" },
	{ 0x6f706cdf, "typec_set_pwr_opmode" },
	{ 0x6a45f97f, "typec_cable_set_identity" },
	{ 0x6520b517, "debugfs_attr_read" },
	{ 0x7e064339, "typec_unregister_cable" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x42aef4f, "perf_trace_run_bpf_submit" },
	{ 0x17b5c7ca, "_dev_err" },
	{ 0x8f1d0d17, "typec_altmode_update_active" },
	{ 0x7227146f, "device_property_read_u8_array" },
	{ 0x87b46bf6, "simple_attr_release" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0x53f23c0a, "usb_power_delivery_register_capabilities" },
	{ 0x94ef1ea0, "typec_register_plug" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4df1d4d2, "mutex_lock" },
	{ 0xa547cf86, "debugfs_remove" },
	{ 0x83ec7ef8, "usb_power_delivery_unregister" },
	{ 0x3de57569, "trace_event_reg" },
	{ 0x112d45e0, "typec_set_data_role" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x328c9cca, "typec_unregister_port" },
	{ 0x548397b4, "power_supply_get_drvdata" },
	{ 0x6504dd51, "_dev_warn" },
	{ 0xb12ffecb, "typec_register_port" },
	{ 0x6e792d52, "typec_plug_set_num_altmodes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdad244f5, "typec_partner_set_usb_power_delivery" },
	{ 0xe5ae603, "power_supply_changed" },
	{ 0xcdc2859, "typec_unregister_plug" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x651dea10, "typec_plug_register_altmode" },
	{ 0xb0c888c5, "devm_kasprintf" },
	{ 0xb6b8fbb0, "seq_read" },
	{ 0x52abceab, "debugfs_create_file" },
	{ 0x7875960d, "trace_event_buffer_reserve" },
	{ 0x2922daf7, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x14eaba56, "typec_unregister_altmode" },
	{ 0x1998b52e, "typec_register_cable" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x2f74e1f8, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xa872399a, "usb_power_delivery_unregister_capabilities" },
	{ 0x116eae66, "typec_get_drvdata" },
	{ 0xf17ab4b4, "typec_partner_set_identity" },
	{ 0x7aeff657, "power_supply_unregister" },
	{ 0x81af1aff, "single_release" },
	{ 0xdfc29d03, "typec_set_pwr_role" },
	{ 0x9fca8c4e, "typec_partner_usb_power_delivery_register" },
	{ 0x99042398, "dev_err_probe" },
	{ 0x157382b6, "kmalloc_trace" },
	{ 0x1e9532f5, "usb_debug_root" },
	{ 0xac6defca, "device_get_next_child_node" },
	{ 0xefdf2abf, "single_open" },
	{ 0xed41f035, "debugfs_create_dir" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x5023fd25, "__mutex_rt_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x48be950a, "__dev_fwnode" },
	{ 0xef04d985, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x55439103, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "46260D74E018D4EF5195BF1");
MODULE_INFO(rhelversion, "9.7");
