#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fat_search_long, "_gpl", "");
KSYMTAB_FUNC(fat_get_dotdot_entry, "_gpl", "");
KSYMTAB_FUNC(fat_dir_empty, "_gpl", "");
KSYMTAB_FUNC(fat_scan, "_gpl", "");
KSYMTAB_FUNC(fat_remove_entries, "_gpl", "");
KSYMTAB_FUNC(fat_alloc_new_dir, "_gpl", "");
KSYMTAB_FUNC(fat_add_entries, "_gpl", "");
KSYMTAB_FUNC(fat_free_clusters, "_gpl", "");
KSYMTAB_FUNC(fat_getattr, "_gpl", "");
KSYMTAB_FUNC(fat_setattr, "_gpl", "");
KSYMTAB_FUNC(fat_attach, "_gpl", "");
KSYMTAB_FUNC(fat_detach, "_gpl", "");
KSYMTAB_FUNC(fat_build_inode, "_gpl", "");
KSYMTAB_FUNC(fat_sync_inode, "_gpl", "");
KSYMTAB_FUNC(fat_fill_super, "_gpl", "");
KSYMTAB_FUNC(fat_flush_inodes, "_gpl", "");
KSYMTAB_FUNC(__fat_fs_error, "_gpl", "");
KSYMTAB_FUNC(fat_time_fat2unix, "_gpl", "");
KSYMTAB_FUNC(fat_time_unix2fat, "_gpl", "");
KSYMTAB_FUNC(fat_truncate_time, "_gpl", "");
KSYMTAB_FUNC(fat_update_time, "_gpl", "");

SYMBOL_CRC(fat_search_long, 0x8cf44e98, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0x6b8146aa, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0x8551ab2d, "_gpl");
SYMBOL_CRC(fat_scan, 0x6a07b3ed, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0xf5ef6786, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0x898eda3d, "_gpl");
SYMBOL_CRC(fat_add_entries, 0xc1edeef3, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0xc7152a91, "_gpl");
SYMBOL_CRC(fat_getattr, 0x54d5caf0, "_gpl");
SYMBOL_CRC(fat_setattr, 0x318715d9, "_gpl");
SYMBOL_CRC(fat_attach, 0xd218edb2, "_gpl");
SYMBOL_CRC(fat_detach, 0x959bfd12, "_gpl");
SYMBOL_CRC(fat_build_inode, 0x2ecc2f70, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0xb1c7cf07, "_gpl");
SYMBOL_CRC(fat_fill_super, 0x09729c02, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0x4f96fe49, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0xafa25162, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0x81bc2760, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0x9e752b7f, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0x779f68e7, "_gpl");
SYMBOL_CRC(fat_update_time, 0xb941f1ba, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2540f5f1, "filemap_fdatawrite" },
	{ 0xa9807d8d, "generic_fillattr" },
	{ 0xa4a6f346, "setattr_prepare" },
	{ 0x168c22e1, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x2505730b, "__init_rwsem" },
	{ 0x9b0a216b, "sync_blockdev_nowait" },
	{ 0xcf3ee8bc, "make_vfsgid" },
	{ 0x58a15680, "blk_start_plug" },
	{ 0x76eab5f1, "clear_inode" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xeb49edc1, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0x7aaf770c, "generic_file_splice_read" },
	{ 0xa7681676, "new_inode" },
	{ 0x9c9b01aa, "mark_buffer_dirty" },
	{ 0x2310829f, "security_inode_setattr" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xfe879219, "__find_get_block" },
	{ 0xe0d4dc2d, "filemap_fdatawrite_range" },
	{ 0xd1f121ad, "rt_mutex_base_init" },
	{ 0xe4db759, "inode_needs_sync" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x407c963c, "__blockdev_direct_IO" },
	{ 0x9f5301c6, "d_make_root" },
	{ 0x664efe75, "__bforget" },
	{ 0x782abc75, "sb_set_blocksize" },
	{ 0xee15bcd1, "block_truncate_page" },
	{ 0x792771d2, "write_dirty_buffer" },
	{ 0x84bf7c83, "sync_filesystem" },
	{ 0x62ce8597, "fsnotify" },
	{ 0x31c9f99, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0x86989246, "from_vfsuid" },
	{ 0xc2e42f7f, "inode_dio_wait" },
	{ 0xa17ae4b, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0x78e7993, "cont_write_begin" },
	{ 0x486a7875, "iput" },
	{ 0xb307ee50, "pcpu_hot" },
	{ 0x2f3f0c40, "iter_file_splice_write" },
	{ 0x23cc28c2, "generic_file_write_iter" },
	{ 0x4538692b, "kmem_cache_create" },
	{ 0x730f0587, "sync_inode_metadata" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x16271a9e, "make_vfsuid" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xd3a0b65e, "mnt_want_write_file" },
	{ 0x92997ed8, "_printk" },
	{ 0xf6523f9a, "block_invalidate_folio" },
	{ 0x9181cc59, "__breadahead" },
	{ 0x86ea9ac, "generic_write_end" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8c89060d, "load_nls" },
	{ 0x7692f88b, "generic_cont_expand_simple" },
	{ 0xf4826cce, "make_kuid" },
	{ 0xbfae5fc3, "truncate_inode_pages_final" },
	{ 0xfd46556c, "block_write_full_page" },
	{ 0xaac8ce4b, "generic_file_mmap" },
	{ 0xbb510a94, "sync_mapping_buffers" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x1f35ea8a, "ilookup" },
	{ 0x921ef402, "kmem_cache_alloc" },
	{ 0x6f54fe60, "invalidate_inode_buffers" },
	{ 0xe1a9dcf0, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0xf0538fa4, "mnt_drop_write_file" },
	{ 0x659a2332, "inode_init_once" },
	{ 0x65fc427d, "compat_ptr_ioctl" },
	{ 0x2a1d9b2e, "__fsnotify_parent" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0xb5f8e407, "__brelse" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xddc22803, "down_write" },
	{ 0xab09aed1, "up_write" },
	{ 0x57c09e36, "generic_file_read_iter" },
	{ 0xee003286, "inode_maybe_inc_iversion" },
	{ 0x4e3567f7, "match_int" },
	{ 0xf599b70d, "truncate_pagecache" },
	{ 0xb796a080, "sync_dirty_buffer" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x3e4d168f, "setattr_copy" },
	{ 0x51f36e64, "__wait_on_buffer" },
	{ 0xf41cd4fd, "set_nlink" },
	{ 0x4df1d4d2, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0xc750350d, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x5a921311, "strncmp" },
	{ 0x1f4f4303, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0x591f3296, "from_vfsgid" },
	{ 0x3bcc3281, "write_inode_now" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c2c8d0d, "d_obtain_alias" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x6138ca06, "__bread_gfp" },
	{ 0xc1653ba2, "block_dirty_folio" },
	{ 0xcec45913, "mpage_read_folio" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x7c29db7a, "__insert_inode_hash" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xb6bfa546, "make_kgid" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xc620742, "rt_spin_unlock" },
	{ 0x354158dc, "from_kgid_munged" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x76d1371c, "down_read" },
	{ 0x9dc8d101, "rt_spin_lock" },
	{ 0xf9886aae, "truncate_setsize" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd3913b71, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x6ff9aa15, "igrab" },
	{ 0xf6f8317a, "__getblk_gfp" },
	{ 0xb8118acf, "generic_read_dir" },
	{ 0x85df9b6c, "strsep" },
	{ 0x2922daf7, "mutex_unlock" },
	{ 0xdab1e84e, "mpage_readahead" },
	{ 0xaebcd284, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0x255a6523, "init_user_ns" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x44e9a829, "match_token" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2f74e1f8, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xff699b3, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0xacf4d843, "match_strdup" },
	{ 0xd7de2c70, "blkdev_issue_flush" },
	{ 0x78493b5c, "seq_puts" },
	{ 0x4b2f95f8, "generic_fh_to_parent" },
	{ 0x815b5dd4, "match_octal" },
	{ 0x2f633dc0, "from_kuid_munged" },
	{ 0x157382b6, "kmalloc_trace" },
	{ 0xf5f251d2, "__generic_file_fsync" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x80a17a06, "kmem_cache_alloc_lru" },
	{ 0x8791414f, "__mark_inode_dirty" },
	{ 0x512be039, "generic_file_llseek" },
	{ 0x506c12ae, "unload_nls" },
	{ 0x6116755c, "up_read" },
	{ 0xd57d7045, "mark_buffer_dirty_inode" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x5023fd25, "__mutex_rt_init" },
	{ 0x443f4e03, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0xef04d985, "kmalloc_caches" },
	{ 0x9b9fef0d, "kmem_cache_destroy" },
	{ 0x663f941e, "blkdev_issue_discard" },
	{ 0x55439103, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "0DF33C03A1CFD5AA6EBC33C");
MODULE_INFO(rhelversion, "9.7");
