#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfs4_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_setup_sequence, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_rw_stateid, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_migration_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_moved_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_stateid_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs_remove_bad_delegation, "_gpl", "");
KSYMTAB_FUNC(nfs_map_string_to_numeric, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_ds_client, "_gpl", "");

SYMBOL_CRC(nfs4_sequence_done, 0x7ef7d67e, "_gpl");
SYMBOL_CRC(nfs4_setup_sequence, 0x95d1ddf4, "_gpl");
SYMBOL_CRC(nfs4_set_rw_stateid, 0x044cc427, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_recovery, 0x3b8aee21, "_gpl");
SYMBOL_CRC(nfs4_schedule_migration_recovery, 0x74a316df, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_moved_recovery, 0xdd42a2a8, "_gpl");
SYMBOL_CRC(nfs4_schedule_stateid_recovery, 0xb9e96e7a, "_gpl");
SYMBOL_CRC(nfs_remove_bad_delegation, 0x06e1cc8b, "_gpl");
SYMBOL_CRC(nfs_map_string_to_numeric, 0x6085edbd, "_gpl");
SYMBOL_CRC(nfs4_set_ds_client, 0xff30b756, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdc4e01e3, "rpc_put_task" },
	{ 0xb4ea5533, "svc_generic_rpcbind_set" },
	{ 0x5815e3d0, "nfs_clone_server" },
	{ 0xe1b230e2, "nfs_access_add_cache" },
	{ 0xe914e41e, "strcpy" },
	{ 0x2540f5f1, "filemap_fdatawrite" },
	{ 0xc1c90c97, "nfs_show_stats" },
	{ 0x690f13e1, "ida_alloc_range" },
	{ 0x40045cd6, "nfs_server_remove_lists" },
	{ 0xd1b833ce, "generic_listxattr" },
	{ 0x8c2451be, "revert_creds" },
	{ 0xdcac1927, "nfs_writeback_update_inode" },
	{ 0x76eab5f1, "clear_inode" },
	{ 0xab996072, "bpf_trace_run4" },
	{ 0xc13595e4, "user_destroy" },
	{ 0x3aad7442, "idr_find" },
	{ 0xc74ea13f, "param_ops_uint" },
	{ 0x3c4829fb, "user_revoke" },
	{ 0x540db63, "d_exact_alias" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xfaeb9b6e, "nfs_alloc_client" },
	{ 0xfc985a7f, "register_sysctl" },
	{ 0xdae9b5d7, "nfs4_disable_idmapping" },
	{ 0x60966ca6, "nfs_mark_client_ready" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf1cf5726, "xdr_write_pages" },
	{ 0x527a1346, "rpc_shutdown_client" },
	{ 0x2ba72a61, "svc_bind" },
	{ 0x2151a2d3, "nfs_d_prune_case_insensitive_aliases" },
	{ 0x40739385, "nfs_wait_bit_killable" },
	{ 0x6141c513, "nfs_free_inode" },
	{ 0x69b8878, "nfs_access_zap_cache" },
	{ 0xe6d51c47, "nfs_sb_deactive" },
	{ 0xb99a91e, "nfs_wb_all" },
	{ 0x7aaf770c, "generic_file_splice_read" },
	{ 0xe58f5f10, "__break_lease" },
	{ 0x5fa6d721, "svc_recv" },
	{ 0x786fcc8d, "nfs_drop_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xfa9232f9, "xdr_inline_decode" },
	{ 0x3ebb85c6, "trace_raw_output_prep" },
	{ 0xc5a2c81a, "nfs_wait_client_init_complete" },
	{ 0xca9360b5, "rb_next" },
	{ 0xc0bf58cd, "rpc_net_ns" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd1f121ad, "rt_mutex_base_init" },
	{ 0x221cfa39, "nfs_mknod" },
	{ 0x87dc2449, "nfs_inode_attach_open_context" },
	{ 0x6f25a149, "finish_wait" },
	{ 0xfd40e4e4, "rpc_localaddr" },
	{ 0x9124ab1a, "rpc_wake_up" },
	{ 0xe9ffb0f0, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xce41479, "idr_replace" },
	{ 0xc09627ca, "nfs_lock" },
	{ 0xa5071164, "unregister_key_type" },
	{ 0x900eba7f, "nfs_client_init_is_complete" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x56d2795d, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xf5c5940, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x1d7a9530, "trace_event_raw_init" },
	{ 0x1e424d61, "user_preparse" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0xd5e3d6e, "ihold" },
	{ 0x87285237, "rpc_peeraddr" },
	{ 0x37a0cba, "kfree" },
	{ 0x21e91abd, "nfs_post_op_update_inode" },
	{ 0xdc715aa5, "svc_exit_thread" },
	{ 0x486a7875, "iput" },
	{ 0xb307ee50, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x67edcaa5, "logfc" },
	{ 0x2f3f0c40, "iter_file_splice_write" },
	{ 0xde1f89c7, "rpc_pton" },
	{ 0xf150fc7e, "nfs_sb_active" },
	{ 0x1f2a9970, "rpc_ntop" },
	{ 0x9883a29b, "rpc_wake_up_queued_task" },
	{ 0x2c601f2e, "bpf_trace_run2" },
	{ 0x7ba7683d, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x1e119a79, "rpcauth_get_pseudoflavor" },
	{ 0xfc484306, "rpc_restart_call_prepare" },
	{ 0x660bcd2d, "event_triggers_call" },
	{ 0x6f97e471, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x7d783722, "_copy_from_pages" },
	{ 0x21646f8e, "__module_get" },
	{ 0x6a2daebf, "rpc_task_release_transport" },
	{ 0x300b4193, "xdr_page_pos" },
	{ 0x4e384858, "nfs_file_release" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x16c1e3e7, "key_instantiate_and_link" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x3539f11b, "match_strlcpy" },
	{ 0xe55a6dc0, "xdr_read_pages" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0x7a5b3e55, "register_key_type" },
	{ 0x24489d6c, "rpc_sleep_on" },
	{ 0x665753d8, "rpc_run_task" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xd4cdee92, "keyring_alloc" },
	{ 0x1fa14a15, "nfs_create" },
	{ 0xeb58b1d3, "complete_request_key" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdd7f2454, "__put_cred" },
	{ 0x80e95758, "nfs_update_delegated_mtime" },
	{ 0x2c526faa, "nfs_statfs" },
	{ 0xe760be73, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x377c4918, "trace_event_buffer_commit" },
	{ 0x584b8482, "nfs_inc_attr_generation_counter" },
	{ 0x90a5530f, "nfsiod_workqueue" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x81523982, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xf44c7684, "nfs_mkdir" },
	{ 0xd3e61216, "nfs_revalidate_inode" },
	{ 0x6179025f, "nfs_file_mmap" },
	{ 0x1b4fe4e, "nfs_get_lock_context" },
	{ 0x5de44b00, "d_drop" },
	{ 0x92997ed8, "_printk" },
	{ 0x5ee9a76, "nfs_set_cache_invalid" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x2d91caa8, "xdr_enter_page" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x261068c, "unregister_sysctl_table" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x13ff9fb4, "trace_event_ignore_this_pid" },
	{ 0xf4826cce, "make_kuid" },
	{ 0xbfae5fc3, "truncate_inode_pages_final" },
	{ 0x66ca940c, "generic_setlease" },
	{ 0x52033c79, "rpc_switch_client_transport" },
	{ 0xa916b694, "strnlen" },
	{ 0xd4437a32, "xdr_stream_decode_string_dup" },
	{ 0x48294475, "locks_init_lock" },
	{ 0xffe7027f, "rpc_destroy_pipe_data" },
	{ 0xcad04ac6, "nfs_get_client" },
	{ 0xc3fd3e3e, "__free_pages" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0xc51c1fb4, "nfs_atomic_open" },
	{ 0xafcb8f26, "rpc_pipe_generic_upcall" },
	{ 0x5dfdb32b, "nfs_file_fsync" },
	{ 0xe2cc4bb5, "module_put" },
	{ 0xae86e922, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x60ee4e41, "mntput" },
	{ 0x79db3c9f, "nfs_put_lock_context" },
	{ 0xf0aba9c9, "nfs_rename" },
	{ 0x95cdd207, "nfs_lookup" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xfaac5216, "nfs_sysfs_link_rpc_client" },
	{ 0x458cbdfe, "nfs_put_client" },
	{ 0x7d7030d3, "nfs_show_options" },
	{ 0x31d2e8bc, "dns_query" },
	{ 0x26884ff7, "nfs_alloc_fhandle" },
	{ 0x42416b8a, "key_put" },
	{ 0x9208fee1, "mount_subtree" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xa2f5d087, "get_nfs_open_context" },
	{ 0x42aef4f, "perf_trace_run_bpf_submit" },
	{ 0xda2846b8, "nfs_clear_verifier_delegated" },
	{ 0x245a4084, "nfs_sysfs_add_server" },
	{ 0x49608959, "migrate_disable" },
	{ 0xddc22803, "down_write" },
	{ 0x8faf621d, "rpc_machine_cred" },
	{ 0x42f2c81f, "nfs4_client_id_uniquifier" },
	{ 0xa81ba23c, "nfs_do_submount" },
	{ 0x8eb5ff7e, "vfs_dup_fs_context" },
	{ 0xab09aed1, "up_write" },
	{  0x33929, "request_key_with_auxdata" },
	{ 0x53964476, "rpc_clone_client_set_auth" },
	{ 0x8e77eda0, "rpc_clone_client" },
	{ 0xa1df823a, "svc_set_num_threads" },
	{ 0x4e3567f7, "match_int" },
	{ 0x4c8e5f65, "idr_alloc" },
	{ 0x86a44e0c, "svc_rpcb_cleanup" },
	{ 0xa07a37f0, "memchr" },
	{ 0x8316bc0b, "radix_tree_preloads" },
	{ 0xc6fcef4e, "user_describe" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf9583266, "put_fs_context" },
	{ 0x799a4564, "nfs4_dentry_operations" },
	{ 0xedead6c2, "__module_put_and_kthread_exit" },
	{ 0x5f989700, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x4fb344b9, "nfs_client_for_each_server" },
	{ 0xf22ab4d, "nfs_clear_inode" },
	{ 0xc4998ecc, "rpc_sleep_on_priority" },
	{ 0x965baae, "nfs_invalidate_atime" },
	{ 0xfbe16e57, "bpf_trace_run5" },
	{ 0x954f099c, "idr_preload" },
	{ 0xe661dbfe, "nfs_umount_begin" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xd16097ef, "nfs_getattr" },
	{ 0x4df1d4d2, "mutex_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x2231749d, "nfs_zap_acl_cache" },
	{ 0x318e1c01, "from_kgid" },
	{ 0x3de57569, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9eb63bb0, "nfs_write_inode" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x15055444, "ida_free" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x64506aa0, "rpc_wake_up_first" },
	{ 0xd4cad371, "alloc_nfs_open_context" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xe052a4a4, "vfs_parse_fs_param" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x7500fd06, "nfs_path" },
	{ 0x6da046e6, "rpc_sleep_on_priority_timeout" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x7f89623c, "nfs_create_rpc_client" },
	{ 0x46ff3513, "register_nfs_version" },
	{ 0x7e9fe820, "rpc_sleep_on_timeout" },
	{ 0x9a236944, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xe47e379c, "rpc_call_start" },
	{ 0x8b4d536, "bpf_trace_run1" },
	{ 0xc141040a, "svc_create" },
	{ 0xae2eaf18, "nfs_file_set_open_context" },
	{ 0x7cf3ad41, "rpc_init_priority_wait_queue" },
	{ 0x3f2690f2, "nfs_check_flags" },
	{ 0xb9a4d65c, "rpc_call_sync" },
	{ 0x194275cf, "from_kuid" },
	{ 0x692b75a3, "rpc_put_task_async" },
	{ 0xbf81a99, "rpc_prepare_reply_pages" },
	{ 0x6aedda9f, "rpc_queue_upcall" },
	{ 0xb4f824fc, "nfs_free_server" },
	{ 0x647a7df4, "fc_mount" },
	{ 0x30e7a184, "nfs_setattr" },
	{ 0xfb578fc5, "memset" },
	{ 0x6ca9f19e, "xdr_terminate_string" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x383a4665, "nfs4_fs_type" },
	{ 0x20faebab, "key_revoke" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0xc8ed55c4, "rpc_delay" },
	{ 0x5aee8d73, "nfs_flock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x64a62247, "__init_waitqueue_head" },
	{ 0x2cf7c463, "svc_generic_init_request" },
	{ 0x88c88474, "_atomic_dec_and_lock" },
	{ 0xbf7160e0, "key_validate" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0xb6bfa546, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xc620742, "rt_spin_unlock" },
	{ 0xcd94d8d7, "rpc_remove_pipe_dir_object" },
	{ 0x2ae646db, "nfs_may_open" },
	{ 0x354158dc, "from_kgid_munged" },
	{ 0xfc619abd, "_nfs_display_fhandle" },
	{ 0xfff5c66d, "nfs_server_copy_userdata" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x76d1371c, "down_read" },
	{ 0x9dc8d101, "rt_spin_lock" },
	{ 0x51d1814f, "xdr_reserve_space" },
	{ 0xb0a05e4b, "rpcauth_lookupcred" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xf899daf2, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x7b45cbb7, "nfs_rmdir" },
	{ 0x12289f8e, "bpf_trace_run3" },
	{ 0x72bdff76, "override_creds" },
	{ 0x4cb9e001, "recover_lost_locks" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xbc249c68, "rpc_mkpipe_dentry" },
	{ 0xcb9f5303, "rpc_mkpipe_data" },
	{ 0x3a2cc24b, "rpc_add_pipe_dir_object" },
	{ 0x6ff9aa15, "igrab" },
	{ 0xbdc562ac, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xcc582c93, "nfs_async_iocounter_wait" },
	{ 0x765206a, "nfs_file_read" },
	{ 0x7875960d, "trace_event_buffer_reserve" },
	{ 0x87d6bca7, "nfs_alloc_fattr_with_label" },
	{ 0x2922daf7, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x233e38cd, "nfs_setattr_update_inode" },
	{ 0xbd48941f, "nfs_instantiate" },
	{ 0x255a6523, "init_user_ns" },
	{ 0xb4e472df, "rpc_uaddr2sockaddr" },
	{ 0xd039b3e4, "user_read" },
	{ 0xa96a155b, "request_key_tag" },
	{ 0x8ead800c, "user_free_preparse" },
	{ 0x7bcef98b, "alloc_pages" },
	{ 0x482c21e4, "svc_xprt_destroy_all" },
	{ 0x9b8e0f3b, "generic_key_instantiate" },
	{ 0x36484ba2, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0xef258249, "nfs_link" },
	{ 0xa8b96943, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0xedab5d28, "rpcauth_stringify_acceptor" },
	{ 0x64c63936, "dput" },
	{ 0xe47450bc, "lockref_get" },
	{ 0x82db8e94, "rpc_init_wait_queue" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x8b94647, "put_rpccred" },
	{ 0x294c6a2, "nfs_callback_nr_threads" },
	{ 0x753277c6, "put_nfs_open_context" },
	{ 0x1de2234c, "nfs_show_path" },
	{ 0xbae29fe4, "nfs_show_devname" },
	{ 0x2284a6fa, "nfs_permission" },
	{ 0x50858d5b, "__put_user_ns" },
	{ 0x10164f9f, "cred_fscmp" },
	{ 0x82be397b, "rpc_unlink" },
	{ 0x460a32bd, "proc_dointvec" },
	{ 0xa0e684f4, "nfs_file_write" },
	{ 0x7c02be81, "nfs_probe_server" },
	{ 0x2882e8a4, "nfs_setsecurity" },
	{ 0xb25a5e26, "rpc_clnt_test_and_add_xprt" },
	{ 0xb20d6a5f, "nfs_force_lookup_revalidate" },
	{ 0xa22a0f35, "nfs_file_llseek" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x70a9eca7, "rpc_clnt_add_xprt" },
	{  0x748d9, "dget_parent" },
	{ 0x2f633dc0, "from_kuid_munged" },
	{ 0x5e676d92, "prepare_kernel_cred" },
	{ 0x157382b6, "kmalloc_trace" },
	{ 0xee46a201, "nfs_alloc_server" },
	{ 0xf79611b5, "rpc_call_async" },
	{ 0xf0ce7d86, "filemap_write_and_wait_range" },
	{ 0xa5a93001, "nfs_server_insert_lists" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x754d539c, "strlen" },
	{ 0x9110f650, "nfs_free_client" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xaea330fa, "rpc_init_pipe_dir_object" },
	{ 0xdc3aa55e, "nfs_refresh_inode" },
	{ 0x9aa71919, "refcount_dec_and_lock" },
	{ 0x349cba85, "strchr" },
	{ 0xc6c8b8f1, "nfs_access_set_mask" },
	{ 0xa07506df, "nfs_init_server_rpcclient" },
	{ 0xdb987c38, "rpc_set_connect_timeout" },
	{ 0x68020698, "rpcauth_create" },
	{ 0xc7cfd520, "xdr_stream_pos" },
	{ 0xabbd1e86, "key_set_timeout" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xefa414fb, "nfs_delay_retrans" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x10962bc2, "nfs_auth_info_match" },
	{ 0x6116755c, "up_read" },
	{ 0x39e05ac3, "nfs_idmap_cache_timeout" },
	{ 0x5023fd25, "__mutex_rt_init" },
	{ 0x4139f776, "svc_xprt_create" },
	{ 0x63bec4fe, "rpc_wait_for_completion_task" },
	{ 0xfd03ddbb, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xe7d7a7d8, "nfs_alloc_inode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xabb0c25b, "rpc_destroy_wait_queue" },
	{ 0xef04d985, "kmalloc_caches" },
	{ 0xbf409ae2, "nfs_fhget" },
	{ 0x2bcc26e5, "nfs_symlink" },
	{ 0x153c735f, "locks_copy_lock" },
	{ 0x51892d61, "nfs_callback_set_tcpport" },
	{ 0x15f5785c, "nfs_unlink" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x523e468d, "nfs_set_verifier" },
	{ 0xe8d9fcaf, "proc_dointvec_minmax" },
	{ 0x55439103, "module_layout" },
};

MODULE_INFO(depends, "sunrpc,nfs,dns_resolver");


MODULE_INFO(srcversion, "0544DE00C75B255F22E0DF5");
MODULE_INFO(rhelversion, "9.7");
