#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_conntrack_locks, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_expect_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_hash, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_htable_size, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_max, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_tuplepr, "_gpl", "");
KSYMTAB_FUNC(nf_ct_invert_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_id, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_free, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy, "", "");
KSYMTAB_FUNC(nf_ct_delete, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_hash_check_insert, "_gpl", "");
KSYMTAB_FUNC(nf_ct_acct_add, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_tuple_taken, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_free, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_in, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alter_reply, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_refresh_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_kill_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_tuple_to_nlattr, "_gpl", "");
KSYMTAB_DATA(nf_ct_port_nla_policy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_to_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_tuple_size, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_cleanup_net, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_alloc_hashtable, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_timeout, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_status, "_gpl", "");
KSYMTAB_FUNC(nf_ct_change_status_common, "_gpl", "");
KSYMTAB_FUNC(print_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_count, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hsize, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hash, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unlink_expect_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expect, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_expect_find, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expectations, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unexpect_related, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_related_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_net, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hash, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hsize, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_helper_find, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_ext_add, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_try_assign_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_name, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_symbol, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_log, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_init, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_auto_assign_helper_warned, "_gpl", "");
KSYMTAB_FUNC(nf_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_find, "_gpl", "");
KSYMTAB_FUNC(nf_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ext_add, "", "");
KSYMTAB_FUNC(__nf_ct_ext_find, "", "");
KSYMTAB_FUNC(nf_ct_seqadj_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tcp_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_adjust, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_offset, "_gpl", "");
KSYMTAB_DATA(nf_ct_timeout_hook, "_gpl", "");
KSYMTAB_FUNC(nf_ct_untimeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_conn_pernet_ecache, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_eventmask_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_deliver_cached_events, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_register_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ecache_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_replace, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_get, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_add, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_destroy, "_gpl", "");

SYMBOL_CRC(nf_conntrack_locks, 0x1e31da93, "_gpl");
SYMBOL_CRC(nf_conntrack_expect_lock, 0x0dfa1fb2, "_gpl");
SYMBOL_CRC(nf_conntrack_hash, 0x28eff409, "_gpl");
SYMBOL_CRC(nf_conntrack_lock, 0x74565225, "_gpl");
SYMBOL_CRC(nf_conntrack_htable_size, 0x8ffe7e89, "_gpl");
SYMBOL_CRC(nf_conntrack_max, 0xf38bcdf3, "_gpl");
SYMBOL_CRC(nf_ct_get_tuplepr, 0x11174bfe, "_gpl");
SYMBOL_CRC(nf_ct_invert_tuple, 0xfe731af8, "_gpl");
SYMBOL_CRC(nf_ct_get_id, 0x60bee426, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_alloc, 0x1dfb001d, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_free, 0xfa4e28c1, "_gpl");
SYMBOL_CRC(nf_ct_destroy, 0x3b08a8f0, "");
SYMBOL_CRC(nf_ct_delete, 0x666f1557, "_gpl");
SYMBOL_CRC(nf_conntrack_find_get, 0xca51553e, "_gpl");
SYMBOL_CRC(nf_conntrack_hash_check_insert, 0x44bebea0, "_gpl");
SYMBOL_CRC(nf_ct_acct_add, 0xea800f91, "_gpl");
SYMBOL_CRC(__nf_conntrack_confirm, 0x0eabebc6, "_gpl");
SYMBOL_CRC(nf_conntrack_tuple_taken, 0x646dc77b, "_gpl");
SYMBOL_CRC(nf_conntrack_alloc, 0x984c3e15, "_gpl");
SYMBOL_CRC(nf_conntrack_free, 0x7253a73f, "_gpl");
SYMBOL_CRC(nf_conntrack_in, 0x4c21a444, "_gpl");
SYMBOL_CRC(nf_conntrack_alter_reply, 0x055d0290, "_gpl");
SYMBOL_CRC(__nf_ct_refresh_acct, 0xc0b82802, "_gpl");
SYMBOL_CRC(nf_ct_kill_acct, 0x8c61ad43, "_gpl");
SYMBOL_CRC(nf_ct_port_tuple_to_nlattr, 0x0c89ad3e, "_gpl");
SYMBOL_CRC(nf_ct_port_nla_policy, 0x514699fe, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_to_tuple, 0xafbd6cf5, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_tuple_size, 0xd505c3e0, "_gpl");
SYMBOL_CRC(nf_ct_iterate_cleanup_net, 0x655d2b48, "_gpl");
SYMBOL_CRC(nf_ct_iterate_destroy, 0x94aee632, "_gpl");
SYMBOL_CRC(nf_ct_alloc_hashtable, 0x289c3714, "_gpl");
SYMBOL_CRC(__nf_ct_change_timeout, 0xb6708049, "_gpl");
SYMBOL_CRC(__nf_ct_change_status, 0x6dc13652, "_gpl");
SYMBOL_CRC(nf_ct_change_status_common, 0x5e656d58, "_gpl");
SYMBOL_CRC(print_tuple, 0x6a7bb21b, "_gpl");
SYMBOL_CRC(nf_conntrack_count, 0x9922aaa8, "_gpl");
SYMBOL_CRC(nf_ct_expect_hsize, 0xc18ac88d, "_gpl");
SYMBOL_CRC(nf_ct_expect_hash, 0xec8beba6, "_gpl");
SYMBOL_CRC(nf_ct_unlink_expect_report, 0xc2cd2eca, "_gpl");
SYMBOL_CRC(nf_ct_remove_expect, 0x64f1acab, "_gpl");
SYMBOL_CRC(__nf_ct_expect_find, 0xfafe669b, "_gpl");
SYMBOL_CRC(nf_ct_expect_find_get, 0x66898930, "_gpl");
SYMBOL_CRC(nf_ct_remove_expectations, 0x33a0d7d4, "_gpl");
SYMBOL_CRC(nf_ct_unexpect_related, 0x6ce1a16c, "_gpl");
SYMBOL_CRC(nf_ct_expect_alloc, 0xf7e05449, "_gpl");
SYMBOL_CRC(nf_ct_expect_init, 0x101c830a, "_gpl");
SYMBOL_CRC(nf_ct_expect_put, 0xd781ec97, "_gpl");
SYMBOL_CRC(nf_ct_expect_related_report, 0xbdc5ffbb, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_destroy, 0x5044eb44, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_net, 0xceb15b69, "_gpl");
SYMBOL_CRC(nf_ct_helper_hash, 0x693c3961, "_gpl");
SYMBOL_CRC(nf_ct_helper_hsize, 0xc40f284c, "_gpl");
SYMBOL_CRC(__nf_conntrack_helper_find, 0x2e12d6f8, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_try_module_get, 0x311a43ba, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_put, 0xba46e07f, "_gpl");
SYMBOL_CRC(nf_nat_helper_try_module_get, 0x0bc00f80, "_gpl");
SYMBOL_CRC(nf_nat_helper_put, 0x5410e16d, "_gpl");
SYMBOL_CRC(nf_ct_helper_ext_add, 0x17cff58f, "_gpl");
SYMBOL_CRC(__nf_ct_try_assign_helper, 0x4d1b667f, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_register, 0x629d17d4, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_unregister, 0xd9764f1f, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_name, 0xc0b5c378, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_symbol, 0xf573d9cc, "_gpl");
SYMBOL_CRC(nf_ct_helper_log, 0x05672e47, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_register, 0xc7fc5b18, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_unregister, 0xde7c1471, "_gpl");
SYMBOL_CRC(nf_ct_helper_init, 0xd86c8dc6, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_register, 0x44c28ee5, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_unregister, 0x24edb199, "_gpl");
SYMBOL_CRC(nf_nat_helper_register, 0x4e63d2d9, "_gpl");
SYMBOL_CRC(nf_nat_helper_unregister, 0xa7daee37, "_gpl");
SYMBOL_CRC(nf_ct_set_auto_assign_helper_warned, 0xed88d453, "_gpl");
SYMBOL_CRC(nf_l4proto_log_invalid, 0x2bfc21e6, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_log_invalid, 0xbb78700b, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_find, 0x856546d9, "_gpl");
SYMBOL_CRC(nf_confirm, 0x23267810, "_gpl");
SYMBOL_CRC(nf_ct_netns_get, 0x3a5512b2, "_gpl");
SYMBOL_CRC(nf_ct_netns_put, 0xa0858f28, "_gpl");
SYMBOL_CRC(nf_ct_bridge_register, 0x96271558, "_gpl");
SYMBOL_CRC(nf_ct_bridge_unregister, 0xb6884a1d, "_gpl");
SYMBOL_CRC(nf_ct_ext_add, 0x0e4806ca, "");
SYMBOL_CRC(__nf_ct_ext_find, 0x4df34c83, "");
SYMBOL_CRC(nf_ct_seqadj_init, 0xe004d2c8, "_gpl");
SYMBOL_CRC(nf_ct_seqadj_set, 0x5a7fe01a, "_gpl");
SYMBOL_CRC(nf_ct_tcp_seqadj_set, 0x7d9d3915, "_gpl");
SYMBOL_CRC(nf_ct_seq_adjust, 0x9a6b88a2, "_gpl");
SYMBOL_CRC(nf_ct_seq_offset, 0xad8ff40c, "_gpl");
SYMBOL_CRC(nf_ct_timeout_hook, 0xb9d0df67, "_gpl");
SYMBOL_CRC(nf_ct_untimeout, 0xd08a9cb2, "_gpl");
SYMBOL_CRC(nf_ct_set_timeout, 0x1513383e, "_gpl");
SYMBOL_CRC(nf_ct_destroy_timeout, 0xe8f1b720, "_gpl");
SYMBOL_CRC(nf_conn_pernet_ecache, 0x200d2dc5, "_gpl");
SYMBOL_CRC(nf_conntrack_eventmask_report, 0xdf80869b, "_gpl");
SYMBOL_CRC(nf_ct_deliver_cached_events, 0xd47607a2, "_gpl");
SYMBOL_CRC(nf_conntrack_register_notifier, 0x270390d1, "_gpl");
SYMBOL_CRC(nf_conntrack_unregister_notifier, 0xa4737b1b, "_gpl");
SYMBOL_CRC(nf_ct_ecache_ext_add, 0xb509aefb, "_gpl");
SYMBOL_CRC(nf_connlabels_replace, 0x905fb9ba, "_gpl");
SYMBOL_CRC(nf_connlabels_get, 0x6caf9ed7, "_gpl");
SYMBOL_CRC(nf_connlabels_put, 0x40c0c123, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_add, 0xc6005c01, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_destroy, 0x60a6eba8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1fd3650, "__do_once_done" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x8ada781b, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xdc58548f, "nf_defrag_ipv4_disable" },
	{ 0xad3f3452, "nf_ip6_checksum" },
	{ 0xb2cffba1, "proc_dou8vec_minmax" },
	{ 0x25e82b45, "skb_copy_bits" },
	{ 0xc74ea13f, "param_ops_uint" },
	{ 0x615d6ce, "proc_dointvec_jiffies" },
	{ 0xc1310d3f, "register_net_sysctl" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc9033e, "nf_register_sockopt" },
	{ 0x1df605de, "nla_put_64bit" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0xd1f121ad, "rt_mutex_base_init" },
	{ 0x6f43a9c5, "nfct_btf_struct_access" },
	{ 0x16f280e6, "param_set_uint" },
	{ 0x88360ff0, "nf_defrag_ipv4_enable" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x86121146, "get_net_ns_by_id" },
	{ 0xb307ee50, "pcpu_hot" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x4538692b, "kmem_cache_create" },
	{ 0x8f02d3dd, "nf_ct_hook" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xe8bf0ff3, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x751d2e97, "bpf_log" },
	{ 0xdc7a5272, "register_pernet_subsys" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x5c86854a, "nf_unregister_sockopt" },
	{ 0xe92cb0db, "param_get_uint" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xf4826cce, "make_kuid" },
	{ 0xd39a0915, "nf_defrag_ipv6_disable" },
	{ 0xbea89020, "ipv6_skip_exthdr" },
	{ 0xaab2a886, "nf_register_net_hooks" },
	{ 0xa916b694, "strnlen" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0x921ef402, "kmem_cache_alloc" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0xe2cc4bb5, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x37bdc6b6, "nf_checksum" },
	{ 0xbe852251, "nf_hooks_lwtunnel_sysctl_handler" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x4af98bdb, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc2a113a, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4df1d4d2, "mutex_lock" },
	{ 0xc750350d, "kmem_cache_free" },
	{ 0xff9ab827, "seq_putc" },
	{ 0x6e2b5444, "nla_put" },
	{ 0xa0296bcc, "nf_checksum_partial" },
	{ 0xa38d3a0e, "skb_ensure_writable" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x87d4017a, "nf_unregister_net_hooks" },
	{ 0x16da73c9, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x2e8bd9d7, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0x19f33626, "nf_ctnetlink_has_listener" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x63d7ef03, "nf_log_packet" },
	{ 0xb6bfa546, "make_kgid" },
	{ 0xd52fc3ed, "nf_ip_checksum" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xc620742, "rt_spin_unlock" },
	{ 0xbec83ab4, "register_btf_kfunc_id_set" },
	{ 0x41bb7d4a, "nf_conn_btf_access_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x76d1371c, "down_read" },
	{ 0x9dc8d101, "rt_spin_lock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9039b03b, "nla_policy_len" },
	{ 0xb6092173, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xa97463c9, "__siphash_aligned" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xbc03eca4, "__skb_checksum" },
	{ 0x2922daf7, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0xb7aa15c8, "proc_set_user" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xb33c471f, "param_ops_bool" },
	{ 0x9a610679, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xa0ae1e73, "siphash_3u64" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x82bf45c3, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2f74e1f8, "seq_printf" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x6fbca190, "nf_defrag_ipv6_enable" },
	{ 0xecfea88, "btf_type_by_id" },
	{ 0x460a32bd, "proc_dointvec" },
	{ 0x78493b5c, "seq_puts" },
	{ 0xffb05268, "nf_nat_hook" },
	{ 0xf44a904a, "net_ns_barrier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x7a3fae87, "unregister_net_sysctl_table" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x157382b6, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xe7898622, "nf_queue_nf_hook_drop" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x6116755c, "up_read" },
	{ 0xa88f548c, "net_rwsem" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xef04d985, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x9b9fef0d, "kmem_cache_destroy" },
	{ 0xee56a44d, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x55439103, "module_layout" },
};

MODULE_INFO(depends, "nf_defrag_ipv4,nf_defrag_ipv6");


MODULE_INFO(srcversion, "592075472331D0393834752");
MODULE_INFO(rhelversion, "9.7");
