#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nf_ct_nat_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_nat_setup_info, "", "");
KSYMTAB_FUNC(nf_nat_alloc_null_binding, "_gpl", "");
KSYMTAB_FUNC(nf_nat_packet, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmp_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmpv6_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(__nf_nat_mangle_tcp_packet, "", "");
KSYMTAB_FUNC(nf_nat_mangle_udp_packet, "", "");
KSYMTAB_FUNC(nf_nat_follow_master, "", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_register_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_unregister_notifiers, "_gpl", "");

SYMBOL_CRC(nf_ct_nat_ext_add, 0x15ab274d, "_gpl");
SYMBOL_CRC(nf_nat_setup_info, 0x705040ba, "");
SYMBOL_CRC(nf_nat_alloc_null_binding, 0x3d4c212b, "_gpl");
SYMBOL_CRC(nf_nat_packet, 0x5fcf9bed, "_gpl");
SYMBOL_CRC(nf_nat_inet_fn, 0xa5077b67, "_gpl");
SYMBOL_CRC(nf_nat_icmp_reply_translation, 0x9fc71533, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_register_fn, 0xb29d699b, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_unregister_fn, 0x120d3932, "_gpl");
SYMBOL_CRC(nf_nat_icmpv6_reply_translation, 0x759b907d, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_register_fn, 0xb02b698c, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_unregister_fn, 0x178ebf12, "_gpl");
SYMBOL_CRC(nf_nat_inet_register_fn, 0x3ae56a21, "_gpl");
SYMBOL_CRC(nf_nat_inet_unregister_fn, 0x952ea6c2, "_gpl");
SYMBOL_CRC(__nf_nat_mangle_tcp_packet, 0x597a6722, "");
SYMBOL_CRC(nf_nat_mangle_udp_packet, 0x682d0740, "");
SYMBOL_CRC(nf_nat_follow_master, 0x98b38769, "");
SYMBOL_CRC(nf_nat_redirect_ipv4, 0x29bf7432, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv6, 0x649a77d3, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv4, 0x8df7937d, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv6, 0x746088da, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_register_notifiers, 0x3bc17c49, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_unregister_notifiers, 0xd9c25654, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe4806ca, "nf_ct_ext_add" },
	{ 0xc1fd3650, "__do_once_done" },
	{ 0xca51553e, "nf_conntrack_find_get" },
	{ 0x8ada781b, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xad3f3452, "nf_ip6_checksum" },
	{ 0xa27b491f, "nf_hook_entries_insert_raw" },
	{ 0x5a7fe01a, "nf_ct_seqadj_set" },
	{ 0x4bfc0415, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd9764f1f, "nf_ct_helper_expectfn_unregister" },
	{ 0xd1f121ad, "rt_mutex_base_init" },
	{ 0x4df34c83, "__nf_ct_ext_find" },
	{ 0x629d17d4, "nf_ct_helper_expectfn_register" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4f8722b7, "pskb_expand_head" },
	{ 0xdc7a5272, "register_pernet_subsys" },
	{ 0x646dc77b, "nf_conntrack_tuple_taken" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x655d2b48, "nf_ct_iterate_cleanup_net" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xbea89020, "ipv6_skip_exthdr" },
	{ 0xaab2a886, "nf_register_net_hooks" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xda19f71e, "nf_ipv6_ops" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe2cc4bb5, "module_put" },
	{ 0x8ffe7e89, "nf_conntrack_htable_size" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55d0290, "nf_conntrack_alter_reply" },
	{ 0x1b28af58, "ip_route_me_harder" },
	{ 0x4df1d4d2, "mutex_lock" },
	{ 0x8fd0c133, "nf_hook_entries_delete_raw" },
	{ 0xa38d3a0e, "skb_ensure_writable" },
	{ 0x87d4017a, "nf_unregister_net_hooks" },
	{ 0x5443deda, "inet_select_addr" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfe731af8, "nf_ct_invert_tuple" },
	{ 0x2e8bd9d7, "unregister_pernet_subsys" },
	{ 0x1b251332, "skb_checksum" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x666f1557, "nf_ct_delete" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xd52fc3ed, "nf_ip_checksum" },
	{ 0xc620742, "rt_spin_unlock" },
	{ 0xbec83ab4, "register_btf_kfunc_id_set" },
	{ 0x94aee632, "nf_ct_iterate_destroy" },
	{ 0x7aad1b96, "inet_proto_csum_replace16" },
	{ 0x9dc8d101, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xb6092173, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0x7455d536, "rt_read_lock" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xbc03eca4, "__skb_checksum" },
	{ 0x2922daf7, "mutex_unlock" },
	{ 0x9a610679, "inet_proto_csum_replace4" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x975a131a, "rt_read_unlock" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x64d0b98e, "dst_release" },
	{ 0x8c61ad43, "nf_ct_kill_acct" },
	{ 0x289c3714, "nf_ct_alloc_hashtable" },
	{ 0xffb05268, "nf_nat_hook" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x157382b6, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xef04d985, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x55439103, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "22D68F48D1955235F633073");
MODULE_INFO(rhelversion, "9.7");
