#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(vsock_bind_table, "_gpl", "");
KSYMTAB_DATA(vsock_connected_table, "_gpl", "");
KSYMTAB_DATA(vsock_table_lock, "_gpl", "");
KSYMTAB_FUNC(vsock_insert_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_bound, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_find_bound_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_find_connected_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_sock, "_gpl", "");
KSYMTAB_FUNC(vsock_for_each_connected_socket, "_gpl", "");
KSYMTAB_FUNC(vsock_add_pending, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_pending, "_gpl", "");
KSYMTAB_FUNC(vsock_enqueue_accept, "_gpl", "");
KSYMTAB_FUNC(vsock_assign_transport, "_gpl", "");
KSYMTAB_FUNC(vsock_find_cid, "_gpl", "");
KSYMTAB_FUNC(vsock_create_connected, "_gpl", "");
KSYMTAB_FUNC(vsock_stream_has_data, "_gpl", "");
KSYMTAB_FUNC(vsock_connectible_has_data, "_gpl", "");
KSYMTAB_FUNC(vsock_stream_has_space, "_gpl", "");
KSYMTAB_FUNC(vsock_data_ready, "_gpl", "");
KSYMTAB_FUNC(vsock_dgram_recvmsg, "_gpl", "");
KSYMTAB_FUNC(vsock_connectible_recvmsg, "_gpl", "");
KSYMTAB_FUNC(vsock_core_get_transport, "_gpl", "");
KSYMTAB_FUNC(vsock_core_register, "_gpl", "");
KSYMTAB_FUNC(vsock_core_unregister, "_gpl", "");
KSYMTAB_FUNC(vsock_add_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_remove_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_deliver_tap, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_init, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_validate, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_bound, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_unbind, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_equals_addr, "_gpl", "");
KSYMTAB_FUNC(vsock_addr_cast, "_gpl", "");

SYMBOL_CRC(vsock_bind_table, 0x284e07d8, "_gpl");
SYMBOL_CRC(vsock_connected_table, 0x9bb6fd09, "_gpl");
SYMBOL_CRC(vsock_table_lock, 0xf170f377, "_gpl");
SYMBOL_CRC(vsock_insert_connected, 0x5c745ddc, "_gpl");
SYMBOL_CRC(vsock_remove_bound, 0xf2483d05, "_gpl");
SYMBOL_CRC(vsock_remove_connected, 0x3831ef55, "_gpl");
SYMBOL_CRC(vsock_find_bound_socket, 0x94c8899e, "_gpl");
SYMBOL_CRC(vsock_find_connected_socket, 0x36c5c6be, "_gpl");
SYMBOL_CRC(vsock_remove_sock, 0x587113f2, "_gpl");
SYMBOL_CRC(vsock_for_each_connected_socket, 0x41e3e7c5, "_gpl");
SYMBOL_CRC(vsock_add_pending, 0x3370aaf2, "_gpl");
SYMBOL_CRC(vsock_remove_pending, 0x255f64af, "_gpl");
SYMBOL_CRC(vsock_enqueue_accept, 0x056e3d12, "_gpl");
SYMBOL_CRC(vsock_assign_transport, 0x21d8dd90, "_gpl");
SYMBOL_CRC(vsock_find_cid, 0x90aa8549, "_gpl");
SYMBOL_CRC(vsock_create_connected, 0x291528ae, "_gpl");
SYMBOL_CRC(vsock_stream_has_data, 0x6357c342, "_gpl");
SYMBOL_CRC(vsock_connectible_has_data, 0xb8c224ea, "_gpl");
SYMBOL_CRC(vsock_stream_has_space, 0x32cec548, "_gpl");
SYMBOL_CRC(vsock_data_ready, 0xf3ee4b30, "_gpl");
SYMBOL_CRC(vsock_dgram_recvmsg, 0x5537ac8d, "_gpl");
SYMBOL_CRC(vsock_connectible_recvmsg, 0xa732132d, "_gpl");
SYMBOL_CRC(vsock_core_get_transport, 0x0d9c4e95, "_gpl");
SYMBOL_CRC(vsock_core_register, 0x5b3f32a2, "_gpl");
SYMBOL_CRC(vsock_core_unregister, 0xc4d47e8c, "_gpl");
SYMBOL_CRC(vsock_add_tap, 0x647a67b9, "_gpl");
SYMBOL_CRC(vsock_remove_tap, 0xfffdfbd1, "_gpl");
SYMBOL_CRC(vsock_deliver_tap, 0x8fa655fc, "_gpl");
SYMBOL_CRC(vsock_addr_init, 0x3d4b0fca, "_gpl");
SYMBOL_CRC(vsock_addr_validate, 0xec96eadf, "_gpl");
SYMBOL_CRC(vsock_addr_bound, 0x4b99648c, "_gpl");
SYMBOL_CRC(vsock_addr_unbind, 0x0e9bc9b6, "_gpl");
SYMBOL_CRC(vsock_addr_equals_addr, 0xaf2674b5, "_gpl");
SYMBOL_CRC(vsock_addr_cast, 0x77c14317, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xda10ec3, "security_sock_graft" },
	{ 0x38d6c13, "sock_map_close" },
	{ 0x1f86b635, "sock_queue_rcv_skb_reason" },
	{ 0x8ada781b, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x64a3916f, "misc_deregister" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x34e43289, "consume_skb" },
	{ 0x6f25a149, "finish_wait" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xf5c5940, "prepare_to_wait" },
	{ 0x7c179fb5, "sock_map_unhash" },
	{ 0xb307ee50, "pcpu_hot" },
	{ 0xaa406c94, "add_wait_queue" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x21646f8e, "__module_get" },
	{ 0xd9eb44e3, "sk_stream_error" },
	{ 0x96992e10, "sk_msg_recvmsg" },
	{ 0x41ae6fe9, "ns_capable_noaudit" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdd7f2454, "__put_cred" },
	{ 0x82402d29, "sk_error_report" },
	{ 0xe73f0d62, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1c633ed6, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa9ab3a73, "sock_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xda6aa406, "rt_write_unlock" },
	{ 0x443569ac, "proto_register" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xc6cbbc89, "capable" },
	{ 0xe2cc4bb5, "module_put" },
	{ 0x347bdfd6, "sk_msg_is_readable" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3859c57d, "sk_skb_reason_drop" },
	{ 0xeae492f1, "sk_free" },
	{ 0xd66259e8, "sock_no_accept" },
	{ 0xedd17b31, "sock_get_timeout" },
	{ 0x4df1d4d2, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xd27ddbf5, "sock_no_listen" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0x5c31eed5, "sock_recv_errqueue" },
	{ 0x16da73c9, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8cb118f6, "mutex_lock_interruptible" },
	{ 0x6b8fa6f9, "sk_alloc" },
	{ 0x7e317711, "sock_no_socketpair" },
	{ 0x3871a7d9, "misc_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x6de84c17, "sock_no_mmap" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0xfedd069b, "sock_no_sendpage" },
	{ 0xc620742, "rt_spin_unlock" },
	{ 0x9dc8d101, "rt_spin_lock" },
	{ 0x5bdb7603, "sock_copy_user_timeval" },
	{ 0xd37889bc, "nonseekable_open" },
	{ 0xb57f2b10, "sk_psock_drop" },
	{ 0x96e52f03, "__dev_queue_xmit" },
	{ 0x2922daf7, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x255a6523, "init_user_ns" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xa2a9247e, "skb_clone" },
	{ 0xaae57460, "rt_write_lock" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xbcf9d2b1, "remove_wait_queue" },
	{ 0x945349de, "sock_no_ioctl" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x56c5b4d, "sock_setsockopt" },
	{ 0xfcf35466, "sock_init_data" },
	{ 0xee56a44d, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x55439103, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C3266733D276432914EEF5C");
MODULE_INFO(rhelversion, "9.7");
