#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l56_system_suspend, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_suspend_late, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_suspend_no_irq, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume_no_irq, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume_early, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume, "_gpl", "");
KSYMTAB_FUNC(cs35l56_common_probe, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_FUNC(cs35l56_init, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_FUNC(cs35l56_remove, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_DATA(cs35l56_pm_ops_i2c_spi, "_gpl", "SND_SOC_CS35L56_CORE");

SYMBOL_CRC(cs35l56_system_suspend, 0xbfe21662, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_late, 0x9865dc00, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_no_irq, 0x69ad50d1, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_no_irq, 0x34073bc0, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_early, 0xb3838dfe, "_gpl");
SYMBOL_CRC(cs35l56_system_resume, 0xb1bf95d5, "_gpl");
SYMBOL_CRC(cs35l56_common_probe, 0xd34e422c, "_gpl");
SYMBOL_CRC(cs35l56_init, 0xe52466ae, "_gpl");
SYMBOL_CRC(cs35l56_remove, 0x791b8fe9, "_gpl");
SYMBOL_CRC(cs35l56_pm_ops_i2c_spi, 0x1a08e0e8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf564743e, "snd_soc_dapm_put_enum_double" },
	{ 0xa4919039, "gpiod_get_value_cansleep" },
	{ 0x37ec97f9, "regcache_cache_only" },
	{ 0x52a6b5d4, "is_acpi_device_node" },
	{ 0xac095516, "gpiod_put" },
	{ 0x465c702b, "regcache_sync" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x2a534733, "regmap_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x810124fe, "cs35l56_wait_min_reset_pulse" },
	{ 0x88762c92, "cs35l56_get_bclk_freq_id" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4ac2e6cf, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd1f121ad, "rt_mutex_base_init" },
	{ 0xc2724bd9, "gpiod_set_value_cansleep" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xd50c06c3, "acpi_dev_add_driver_gpios" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xeef893ed, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x6edf73fc, "devm_gpiod_get_optional" },
	{ 0x193a00e0, "wm_adsp_stop" },
	{ 0xf9f8ced7, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x162d1205, "cs35l56_get_calibration" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1d389aa7, "__pm_runtime_set_status" },
	{ 0x76877e7f, "devm_snd_soc_register_component" },
	{ 0x8df9e89a, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xced19e17, "sdw_write_no_pm" },
	{ 0x326dee93, "devm_free_irq" },
	{ 0x82d1876e, "pm_runtime_enable" },
	{ 0xdbbebb46, "fwnode_gpiod_get_index" },
	{ 0x5e9e28d7, "_dev_info" },
	{ 0xfb8da0c5, "acpi_dev_remove_driver_gpios" },
	{ 0xfcb360e1, "snd_soc_info_volsw" },
	{ 0x8646038c, "cs35l56_init_cs_dsp" },
	{ 0xb8492e86, "wm_adsp_power_down" },
	{ 0x17b5c7ca, "_dev_err" },
	{ 0xc97ae94e, "debugfs_create_bool" },
	{ 0x89598969, "wm_adsp_event" },
	{ 0x5c2529e, "cs35l56_tx_input_values" },
	{ 0x64e759e4, "cs35l56_tx_input_texts" },
	{ 0xb0c21e51, "device_property_read_string" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xfa4d22d, "cs35l56_calibration_controls" },
	{ 0x4df1d4d2, "mutex_lock" },
	{ 0xce62b56a, "cs35l56_runtime_suspend_common" },
	{ 0xbd61b2ff, "sdw_read_no_pm" },
	{ 0x59f0d149, "cs35l56_mbox_send" },
	{ 0x48a72f53, "cs35l56_hw_init" },
	{ 0x6504dd51, "_dev_warn" },
	{ 0x22cafe27, "wm_adsp2_component_probe" },
	{ 0x1c692a81, "cs35l56_read_prot_status" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x64e21b3d, "cs35l56_system_reset" },
	{ 0x9354b537, "snd_soc_info_enum_double" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xeea46af4, "wm_adsp2_component_remove" },
	{ 0x128948c6, "cs35l56_wait_for_firmware_boot" },
	{ 0xb0c888c5, "devm_kasprintf" },
	{ 0x80566480, "snd_soc_get_volsw" },
	{ 0xbd540d99, "cs35l56_set_patch" },
	{ 0xad591ce8, "cs35l56_wait_control_port_ready" },
	{ 0xf970f63b, "fwnode_property_present" },
	{ 0x1faa6874, "cs35l56_is_fw_reload_needed" },
	{ 0x4acb18c7, "regmap_read" },
	{ 0x3414202a, "snd_soc_put_volsw" },
	{ 0xd1712e36, "__pm_runtime_resume" },
	{ 0x2922daf7, "mutex_unlock" },
	{ 0xbf843e1c, "cs_amp_write_cal_coeffs" },
	{ 0x20101848, "device_get_named_child_node" },
	{ 0x989fee9b, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd841a849, "sdw_stream_remove_slave" },
	{ 0xd79b0d73, "cs35l56_runtime_resume_common" },
	{ 0x430e7c62, "dapm_regulator_event" },
	{ 0xaae293a5, "cs35l56_get_speaker_id" },
	{ 0xb46f237e, "wm_adsp_run" },
	{ 0x6d4dbed6, "regmap_update_bits_base" },
	{ 0x3818b842, "acpi_dev_get_property" },
	{ 0x99042398, "dev_err_probe" },
	{ 0x15535cb6, "__pm_runtime_suspend" },
	{ 0xcd5438ad, "cs35l56_fill_supply_names" },
	{ 0xd9bb4ff8, "__devm_add_action" },
	{ 0x2ace4177, "snd_soc_dapm_get_enum_double" },
	{ 0xa5bb15b8, "__pm_runtime_use_autosuspend" },
	{ 0xc35e0968, "wm_halo_init" },
	{ 0xb798c18f, "__pm_runtime_disable" },
	{ 0xc55c745d, "cs35l56_firmware_shutdown" },
	{ 0x9e8ca80a, "sdw_stream_add_slave" },
	{ 0x37a0b9d9, "pm_runtime_force_suspend" },
	{ 0x5023fd25, "__mutex_rt_init" },
	{ 0xad87e0b9, "wm_adsp_power_up" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x55439103, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-cs35l56-shared,snd-soc-wm-adsp,soundwire-bus,snd-soc-cs-amp-lib,snd-pcm");


MODULE_INFO(srcversion, "49BA6FE436AAA939A6DEDEA");
MODULE_INFO(rhelversion, "9.7");
