#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wm_adsp_fw_get, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_fw_put, "_gpl", "");
KSYMTAB_DATA(wm_adsp_fw_enum, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_control_add, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_write_ctl, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_read_ctl, "_gpl", "");
KSYMTAB_FUNC(wm_adsp1_init, "_gpl", "");
KSYMTAB_FUNC(wm_adsp1_event, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_set_dspclk, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_preloader_get, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_preloader_put, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_power_up, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_power_down, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_early_event, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_run, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_stop, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_event, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_component_probe, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_component_remove, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_init, "_gpl", "");
KSYMTAB_FUNC(wm_halo_init, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_remove, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_open, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_free, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_get_caps, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_trigger, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_handle_irq, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_pointer, "_gpl", "");
KSYMTAB_FUNC(wm_adsp_compr_copy, "_gpl", "");
KSYMTAB_FUNC(wm_adsp2_bus_error, "_gpl", "");
KSYMTAB_FUNC(wm_halo_bus_error, "_gpl", "");
KSYMTAB_FUNC(wm_halo_wdt_expire, "_gpl", "");

SYMBOL_CRC(wm_adsp_fw_get, 0xb0f4e522, "_gpl");
SYMBOL_CRC(wm_adsp_fw_put, 0x924166f6, "_gpl");
SYMBOL_CRC(wm_adsp_fw_enum, 0x894458f3, "_gpl");
SYMBOL_CRC(wm_adsp_control_add, 0x4064f5d8, "_gpl");
SYMBOL_CRC(wm_adsp_write_ctl, 0x235a4d30, "_gpl");
SYMBOL_CRC(wm_adsp_read_ctl, 0x069d45e8, "_gpl");
SYMBOL_CRC(wm_adsp1_init, 0x3a566a3a, "_gpl");
SYMBOL_CRC(wm_adsp1_event, 0xc459347c, "_gpl");
SYMBOL_CRC(wm_adsp2_set_dspclk, 0x46c15cd2, "_gpl");
SYMBOL_CRC(wm_adsp2_preloader_get, 0x7054ba75, "_gpl");
SYMBOL_CRC(wm_adsp2_preloader_put, 0x52e139a1, "_gpl");
SYMBOL_CRC(wm_adsp_power_up, 0xad87e0b9, "_gpl");
SYMBOL_CRC(wm_adsp_power_down, 0xb8492e86, "_gpl");
SYMBOL_CRC(wm_adsp_early_event, 0xd32f8335, "_gpl");
SYMBOL_CRC(wm_adsp_run, 0xb46f237e, "_gpl");
SYMBOL_CRC(wm_adsp_stop, 0x193a00e0, "_gpl");
SYMBOL_CRC(wm_adsp_event, 0x89598969, "_gpl");
SYMBOL_CRC(wm_adsp2_component_probe, 0x22cafe27, "_gpl");
SYMBOL_CRC(wm_adsp2_component_remove, 0xeea46af4, "_gpl");
SYMBOL_CRC(wm_adsp2_init, 0xf90f0d6e, "_gpl");
SYMBOL_CRC(wm_halo_init, 0xc35e0968, "_gpl");
SYMBOL_CRC(wm_adsp2_remove, 0x0918daa7, "_gpl");
SYMBOL_CRC(wm_adsp_compr_open, 0xe96fa046, "_gpl");
SYMBOL_CRC(wm_adsp_compr_free, 0xa28e192f, "_gpl");
SYMBOL_CRC(wm_adsp_compr_set_params, 0xa57f89ab, "_gpl");
SYMBOL_CRC(wm_adsp_compr_get_caps, 0x00411a85, "_gpl");
SYMBOL_CRC(wm_adsp_compr_trigger, 0xc5e8d4d6, "_gpl");
SYMBOL_CRC(wm_adsp_compr_handle_irq, 0x14bf1d85, "_gpl");
SYMBOL_CRC(wm_adsp_compr_pointer, 0x90548038, "_gpl");
SYMBOL_CRC(wm_adsp_compr_copy, 0x72cba72b, "_gpl");
SYMBOL_CRC(wm_adsp2_bus_error, 0xdd3c79ef, "_gpl");
SYMBOL_CRC(wm_halo_bus_error, 0xea38ee07, "_gpl");
SYMBOL_CRC(wm_halo_wdt_expire, 0x52c16479, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x4144a92a, "cs_dsp_coeff_lock_and_read_ctrl" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x5d6190f, "snd_soc_component_force_enable_pin" },
	{ 0x57dc351e, "firmware_request_nowarn" },
	{ 0x30b740dc, "cs_dsp_cleanup_debugfs" },
	{ 0x133bb6f6, "cs_dsp_coeff_read_ctrl" },
	{ 0x7eab59b2, "snd_compr_stop_error" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x80fda41, "cs_dsp_stop" },
	{ 0x7192478b, "cs_dsp_adsp1_power_up" },
	{ 0x7aaeef98, "cs_dsp_adsp1_power_down" },
	{ 0x96848186, "scnprintf" },
	{ 0x147e9e0d, "cs_dsp_adsp1_init" },
	{ 0x37a0cba, "kfree" },
	{ 0x354dd473, "cs_dsp_coeff_write_ctrl" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x75d2645b, "cs_dsp_init_debugfs" },
	{ 0x6f97e471, "__wake_up" },
	{ 0xc3cb391c, "cs_dsp_halo_bus_error" },
	{ 0xf9f8ced7, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x750f880f, "snd_soc_dapm_sync" },
	{ 0x4e5562f8, "cs_dsp_remove_padding" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xff42509d, "cs_dsp_find_alg_region" },
	{ 0x12e27b2, "cs_dsp_coeff_write_acked_control" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x2b938261, "cs_dsp_get_ctl" },
	{ 0x5e9e28d7, "_dev_info" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x17b5c7ca, "_dev_err" },
	{ 0x4df1d4d2, "mutex_lock" },
	{ 0x609f4d94, "cs_dsp_halo_init" },
	{ 0x6bf78a88, "cs_dsp_power_down" },
	{ 0x1dcf4c70, "cs_dsp_adsp2_init" },
	{ 0x63e0da8f, "snd_soc_add_component_controls" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x2ba87ca4, "cs_dsp_remove" },
	{ 0x11089ac7, "_ctype" },
	{ 0x144d6986, "cs_dsp_mem_region_name" },
	{ 0x8f1e20c4, "cs_dsp_set_dspclk" },
	{ 0x6504dd51, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x3c0c7c01, "cs_dsp_power_up" },
	{ 0xb128bd3b, "cs_dsp_coeff_lock_and_write_ctrl" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x999e8297, "vfree" },
	{ 0x19a93c43, "cs_dsp_run" },
	{ 0x2922daf7, "mutex_unlock" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xaae3d0ff, "cs_dsp_write_data_word" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x1950bac5, "cs_dsp_halo_wdt_expire" },
	{ 0x7b6200a0, "snd_soc_component_disable_pin" },
	{ 0x79b1c030, "snd_soc_bytes_tlv_callback" },
	{ 0xe6011ff4, "cs_dsp_adsp2_bus_error" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x6e3c473, "cs_dsp_read_raw_data_block" },
	{ 0x157382b6, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xc2077c13, "cs_dsp_read_data_word" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xef04d985, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x55439103, "module_layout" },
};

MODULE_INFO(depends, "cs_dsp,snd-soc-core,snd-compress");


MODULE_INFO(srcversion, "39FD9C91EF284C6D7CC5478");
MODULE_INFO(rhelversion, "9.7");
