#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(acpi_video_get_levels, "", "");
KSYMTAB_FUNC(acpi_video_get_edid, "", "");
KSYMTAB_FUNC(acpi_video_register, "", "");
KSYMTAB_FUNC(acpi_video_unregister, "", "");
KSYMTAB_FUNC(acpi_video_register_backlight, "", "");
KSYMTAB_FUNC(acpi_video_handles_brightness_key_presses, "", "");
KSYMTAB_FUNC(__acpi_video_get_backlight_type, "", "");
KSYMTAB_FUNC(acpi_video_set_dmi_backlight_type, "", "");

SYMBOL_CRC(acpi_video_get_levels, 0x6ff862c0, "");
SYMBOL_CRC(acpi_video_get_edid, 0xc3e9f216, "");
SYMBOL_CRC(acpi_video_register, 0x8826c13b, "");
SYMBOL_CRC(acpi_video_unregister, 0x7a45377b, "");
SYMBOL_CRC(acpi_video_register_backlight, 0x45b61916, "");
SYMBOL_CRC(acpi_video_handles_brightness_key_presses, 0x7cc484a5, "");
SYMBOL_CRC(__acpi_video_get_backlight_type, 0x03bbeac2, "");
SYMBOL_CRC(acpi_video_set_dmi_backlight_type, 0x476a28dc, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe73d886a, "input_allocate_device" },
	{ 0x5a53a97e, "acpi_device_hid" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x550e7a9, "backlight_device_unregister" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0x3dbdc014, "backlight_force_update" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x45cf9fe8, "pci_dev_put" },
	{ 0xd1f121ad, "rt_mutex_base_init" },
	{ 0x491088ad, "pci_get_device" },
	{ 0x7d12d76d, "acpi_get_parent" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0x9fb126b2, "input_unregister_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x3b5aaa3d, "acpi_device_fix_up_power_children" },
	{ 0x5c44e6d4, "acpi_dev_remove_notify_handler" },
	{ 0x97f868c1, "thermal_cooling_device_register" },
	{ 0xf9f8ced7, "__dynamic_dev_dbg" },
	{ 0xfe9ebbbb, "acpi_osi_is_win8" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x50dea578, "__acpi_bus_register_driver" },
	{ 0x69c0530b, "pci_read_config_dword" },
	{ 0x8875d9a4, "input_free_device" },
	{ 0x92997ed8, "_printk" },
	{ 0x139dda41, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x6068bedf, "wmi_evaluate_method" },
	{ 0x5e9e28d7, "_dev_info" },
	{ 0xf44ebc19, "sysfs_create_link" },
	{ 0xcd8ce890, "acpi_format_exception" },
	{ 0x1cb420d3, "acpi_dev_install_notify_handler" },
	{ 0x32e6f1a0, "acpi_video_backlight_string" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x17b5c7ca, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0x69bce203, "sysfs_remove_link" },
	{ 0x1a45cb6c, "acpi_disabled" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0x4df1d4d2, "mutex_lock" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x1b94610d, "acpi_get_pci_dev" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xd8df08ac, "acpi_handle_printk" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x2f384db3, "acpi_is_video_device" },
	{ 0x39b12223, "__acpi_handle_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa7236fd6, "input_event" },
	{ 0x5174bfb0, "acpi_match_device_ids" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xa7753e67, "acpi_notifier_call_chain" },
	{ 0x141271bf, "acpi_dev_found" },
	{ 0x2922daf7, "mutex_unlock" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xa57e42a2, "acpi_fetch_acpi_dev" },
	{ 0xb33c471f, "param_ops_bool" },
	{ 0x92f593dd, "acpi_bus_unregister_driver" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x76559b0f, "backlight_device_register" },
	{ 0x3d4ec55, "acpi_dev_for_each_child" },
	{ 0x3e99247e, "thermal_cooling_device_unregister" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x157382b6, "kmalloc_trace" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0x55c86ae9, "param_ops_int" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x5023fd25, "__mutex_rt_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xef04d985, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x55439103, "module_layout" },
};

MODULE_INFO(depends, "wmi");

MODULE_ALIAS("acpi*:LNXVIDEO:*");

MODULE_INFO(srcversion, "DBDCF64D4535D3E711032B8");
MODULE_INFO(rhelversion, "9.7");
