#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ahci_ignore_sss, "_gpl", "");
KSYMTAB_DATA(ahci_shost_attrs, "_gpl", "");
KSYMTAB_DATA(ahci_sdev_attrs, "_gpl", "");
KSYMTAB_DATA(ahci_ops, "_gpl", "");
KSYMTAB_DATA(ahci_pmp_retry_srst_ops, "_gpl", "");
KSYMTAB_FUNC(ahci_save_initial_config, "_gpl", "");
KSYMTAB_FUNC(ahci_start_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_stop_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_start_fis_rx, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_reset_em, "_gpl", "");
KSYMTAB_FUNC(ahci_init_controller, "_gpl", "");
KSYMTAB_FUNC(ahci_dev_classify, "_gpl", "");
KSYMTAB_FUNC(ahci_fill_cmd_slot, "_gpl", "");
KSYMTAB_FUNC(ahci_kick_engine, "_gpl", "");
KSYMTAB_FUNC(ahci_check_ready, "_gpl", "");
KSYMTAB_FUNC(ahci_do_softreset, "_gpl", "");
KSYMTAB_FUNC(ahci_do_hardreset, "_gpl", "");
KSYMTAB_FUNC(ahci_handle_port_intr, "_gpl", "");
KSYMTAB_FUNC(ahci_qc_issue, "_gpl", "");
KSYMTAB_FUNC(ahci_error_handler, "_gpl", "");
KSYMTAB_FUNC(ahci_port_resume, "_gpl", "");
KSYMTAB_FUNC(ahci_print_info, "_gpl", "");
KSYMTAB_FUNC(ahci_set_em_messages, "_gpl", "");
KSYMTAB_FUNC(ahci_host_activate, "_gpl", "");

SYMBOL_CRC(ahci_ignore_sss, 0xea50dad3, "_gpl");
SYMBOL_CRC(ahci_shost_attrs, 0x5944091a, "_gpl");
SYMBOL_CRC(ahci_sdev_attrs, 0xc207b9d5, "_gpl");
SYMBOL_CRC(ahci_ops, 0x644914be, "_gpl");
SYMBOL_CRC(ahci_pmp_retry_srst_ops, 0x581a87e6, "_gpl");
SYMBOL_CRC(ahci_save_initial_config, 0xeba5d277, "_gpl");
SYMBOL_CRC(ahci_start_engine, 0x7a4b370e, "_gpl");
SYMBOL_CRC(ahci_stop_engine, 0xd7d741f0, "_gpl");
SYMBOL_CRC(ahci_start_fis_rx, 0x7db00cab, "_gpl");
SYMBOL_CRC(ahci_reset_controller, 0xdad64227, "_gpl");
SYMBOL_CRC(ahci_reset_em, 0x3fe2589f, "_gpl");
SYMBOL_CRC(ahci_init_controller, 0x261c03fe, "_gpl");
SYMBOL_CRC(ahci_dev_classify, 0x69482704, "_gpl");
SYMBOL_CRC(ahci_fill_cmd_slot, 0x59ae4282, "_gpl");
SYMBOL_CRC(ahci_kick_engine, 0x29ecbcc1, "_gpl");
SYMBOL_CRC(ahci_check_ready, 0x94a411c1, "_gpl");
SYMBOL_CRC(ahci_do_softreset, 0xa4b0615d, "_gpl");
SYMBOL_CRC(ahci_do_hardreset, 0xd2b760f5, "_gpl");
SYMBOL_CRC(ahci_handle_port_intr, 0xf4de1084, "_gpl");
SYMBOL_CRC(ahci_qc_issue, 0x1b936887, "_gpl");
SYMBOL_CRC(ahci_error_handler, 0x775fb8d4, "_gpl");
SYMBOL_CRC(ahci_port_resume, 0xdef7256f, "_gpl");
SYMBOL_CRC(ahci_print_info, 0x653182a4, "_gpl");
SYMBOL_CRC(ahci_set_em_messages, 0xec0cb4a8, "_gpl");
SYMBOL_CRC(ahci_host_activate, 0xa3a1a52b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa4c085f8, "ata_tf_from_fis" },
	{ 0x1d5f6b4c, "ata_std_qc_defer" },
	{ 0x8acf4f4a, "sata_pmp_qc_defer_cmd_switch" },
	{ 0xf9f8ced7, "__dynamic_dev_dbg" },
	{ 0xa96fa5e4, "ata_port_classify" },
	{ 0xac349140, "ata_qc_complete_multiple" },
	{ 0x8d895493, "ata_port_freeze" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xe1f45b69, "sata_pmp_error_handler" },
	{ 0xf9a482f9, "msleep" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x101ea2f6, "ata_host_start" },
	{ 0xa8835b6e, "devm_request_threaded_irq" },
	{ 0xbdb8a675, "ata_port_desc" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x9b642b34, "ata_host_register" },
	{ 0xf1e31936, "ata_host_activate" },
	{ 0x6504dd51, "_dev_warn" },
	{ 0x452b4186, "ata_dummy_port_ops" },
	{ 0x4e7bf520, "acpi_storage_d3" },
	{ 0x42635d55, "pm_suspend_global_flags" },
	{ 0xa6705cc7, "devm_kmalloc" },
	{ 0x7c8dd290, "dmam_alloc_attrs" },
	{ 0xa146a04e, "dev_driver_string" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd1f121ad, "rt_mutex_base_init" },
	{ 0xf6a3107b, "devm_kfree" },
	{ 0xbc79eb0b, "sata_deb_timing_hotplug" },
	{ 0x9371ea58, "sata_deb_timing_normal" },
	{ 0xdf0c757f, "ata_tf_to_fis" },
	{ 0xa297ad25, "sata_link_hardreset" },
	{ 0x7cd4dc5b, "ata_wait_after_reset" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xc1b54f4d, "ata_ehi_clear_desc" },
	{ 0x1b512a37, "ata_ehi_push_desc" },
	{ 0x9e40b543, "ata_link_abort" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x38282ca1, "ata_port_abort" },
	{ 0x983c99f8, "sata_lpm_ignore_phy_events" },
	{ 0x61c2c7b7, "sata_async_notification" },
	{ 0xf8f3a0fb, "ata_ratelimit" },
	{ 0x55c86ae9, "param_ops_int" },
	{ 0xb33c471f, "param_ops_bool" },
	{ 0xfa4b3935, "sata_pmp_port_ops" },
	{ 0x630fca22, "dev_attr_sw_activity" },
	{ 0x2a85b631, "dev_attr_unload_heads" },
	{ 0xca9ac153, "dev_attr_ncq_prio_supported" },
	{ 0xa76af0e7, "dev_attr_ncq_prio_enable" },
	{ 0xecb1fa0e, "dev_attr_link_power_management_policy" },
	{ 0x7f493734, "dev_attr_em_message_type" },
	{ 0xf5178330, "dev_attr_em_message" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd1712e36, "__pm_runtime_resume" },
	{ 0x781c00, "__pm_runtime_idle" },
	{ 0x9dc8d101, "rt_spin_lock" },
	{ 0xc620742, "rt_spin_unlock" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5dcc9edc, "ata_link_next" },
	{ 0x8715d16f, "ata_wait_register" },
	{ 0x3e7337e6, "ata_dev_set_feature" },
	{ 0x5e9e28d7, "_dev_info" },
	{ 0x977d8b59, "sata_link_scr_lpm" },
	{ 0xceeabd0c, "ata_msleep" },
	{ 0x17b5c7ca, "_dev_err" },
	{ 0x48c1e9a1, "ata_std_postreset" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x55439103, "module_layout" },
};

MODULE_INFO(depends, "libata");


MODULE_INFO(srcversion, "8DB59F85651914E62049B39");
MODULE_INFO(rhelversion, "9.7");
