#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs_dsp_mem_region_name, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_init_debugfs, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_cleanup_debugfs, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_write_acked_control, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_write_ctrl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_lock_and_write_ctrl, "_gpl", "");
KSYMTAB_FUNC(cs_dsp_coeff_read_ctrl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_lock_and_read_ctrl, "_gpl", "");
KSYMTAB_FUNC(cs_dsp_get_ctl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_find_alg_region, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_power_up, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_power_down, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_set_dspclk, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_power_up, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_power_down, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_run, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_stop, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp2_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_remove, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_read_raw_data_block, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_read_data_word, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_write_data_word, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_remove_padding, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp2_bus_error, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_bus_error, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_wdt_expire, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_write, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_flush, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_read, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_write, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_multi_write, "_gpl", "FW_CS_DSP");

SYMBOL_CRC(cs_dsp_mem_region_name, 0x144d6986, "_gpl");
SYMBOL_CRC(cs_dsp_init_debugfs, 0x75d2645b, "_gpl");
SYMBOL_CRC(cs_dsp_cleanup_debugfs, 0x30b740dc, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_acked_control, 0x012e27b2, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_ctrl, 0x354dd473, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_lock_and_write_ctrl, 0xb128bd3b, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_read_ctrl, 0x133bb6f6, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_lock_and_read_ctrl, 0x4144a92a, "_gpl");
SYMBOL_CRC(cs_dsp_get_ctl, 0x2b938261, "_gpl");
SYMBOL_CRC(cs_dsp_find_alg_region, 0xff42509d, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_init, 0x147e9e0d, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_up, 0x7192478b, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_down, 0x7aaeef98, "_gpl");
SYMBOL_CRC(cs_dsp_set_dspclk, 0x8f1e20c4, "_gpl");
SYMBOL_CRC(cs_dsp_power_up, 0x3c0c7c01, "_gpl");
SYMBOL_CRC(cs_dsp_power_down, 0x6bf78a88, "_gpl");
SYMBOL_CRC(cs_dsp_run, 0x19a93c43, "_gpl");
SYMBOL_CRC(cs_dsp_stop, 0x080fda41, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_init, 0x1dcf4c70, "_gpl");
SYMBOL_CRC(cs_dsp_halo_init, 0x609f4d94, "_gpl");
SYMBOL_CRC(cs_dsp_remove, 0x2ba87ca4, "_gpl");
SYMBOL_CRC(cs_dsp_read_raw_data_block, 0x06e3c473, "_gpl");
SYMBOL_CRC(cs_dsp_read_data_word, 0xc2077c13, "_gpl");
SYMBOL_CRC(cs_dsp_write_data_word, 0xaae3d0ff, "_gpl");
SYMBOL_CRC(cs_dsp_remove_padding, 0x4e5562f8, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_bus_error, 0xe6011ff4, "_gpl");
SYMBOL_CRC(cs_dsp_halo_bus_error, 0xc3cb391c, "_gpl");
SYMBOL_CRC(cs_dsp_halo_wdt_expire, 0x1950bac5, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_write, 0x6e0cce2d, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_flush, 0x9e324cb0, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_read, 0xb6c0d9e7, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_init, 0xb5946d9b, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_write, 0x309cc9c7, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_multi_write, 0x9590b201, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x66b4cc41, "kmemdup" },
	{ 0x37a0cba, "kfree" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x69acdf38, "memcpy" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x5a921311, "strncmp" },
	{ 0x4acb18c7, "regmap_read" },
	{ 0x5e9e28d7, "_dev_info" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x6d4dbed6, "regmap_update_bits_base" },
	{ 0x2a534733, "regmap_write" },
	{ 0xa1566231, "regmap_multi_reg_write" },
	{ 0x74b7816d, "regmap_bulk_read" },
	{ 0xd1f121ad, "rt_mutex_base_init" },
	{ 0x5023fd25, "__mutex_rt_init" },
	{ 0xb0c888c5, "devm_kasprintf" },
	{ 0xa916b694, "strnlen" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xa547cf86, "debugfs_remove" },
	{ 0x999e8297, "vfree" },
	{ 0x8ee1587d, "regmap_async_complete" },
	{ 0xbf3cf4a6, "regmap_raw_write_async" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xa6705cc7, "devm_kmalloc" },
	{ 0xf6a3107b, "devm_kfree" },
	{ 0x5237875d, "seq_lseek" },
	{ 0xb6b8fbb0, "seq_read" },
	{ 0x81af1aff, "single_release" },
	{ 0x7c233f0d, "simple_open" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xed41f035, "debugfs_create_dir" },
	{ 0xc97ae94e, "debugfs_create_bool" },
	{ 0x461c58d7, "debugfs_create_x32" },
	{ 0x52abceab, "debugfs_create_file" },
	{ 0xefdf2abf, "single_open" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x17b5c7ca, "_dev_err" },
	{ 0x2f74e1f8, "seq_printf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4df1d4d2, "mutex_lock" },
	{ 0x2922daf7, "mutex_unlock" },
	{ 0x754d539c, "strlen" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xf9f8ced7, "__dynamic_dev_dbg" },
	{ 0x7626802c, "regmap_raw_write" },
	{ 0x55d53d10, "regmap_raw_read" },
	{ 0x6504dd51, "_dev_warn" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x56470118, "__warn_printk" },
	{ 0x55439103, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A2E7D8747F0E8DA49739460");
MODULE_INFO(rhelversion, "9.7");
