#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0x7a2b5e07, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0x9a066900, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0xb04e91d7, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0xf38e08e0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6fbf658d, "netif_stacked_transfer_operstate" },
	{ 0xe83ae4a3, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x6088be99, "unregister_netdevice_queue" },
	{ 0xe4d0d3bb, "netdev_upper_dev_unlink" },
	{ 0xc493532, "__dev_get_by_index" },
	{ 0x3db6f991, "register_netdevice" },
	{ 0xfcc85f75, "netdev_upper_dev_link" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xd7e11f6c, "linkwatch_fire_event" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x7920b3ef, "dev_uc_sync" },
	{ 0x90767dde, "dev_mc_sync" },
	{ 0xb307ee50, "pcpu_hot" },
	{ 0xc6e6ef47, "netif_rx" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xa2a9247e, "skb_clone" },
	{ 0x955a3f5d, "__dev_forward_skb" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9dc8d101, "rt_spin_lock" },
	{ 0xc620742, "rt_spin_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x34e43289, "consume_skb" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x96e52f03, "__dev_queue_xmit" },
	{ 0xfa602a86, "dev_forward_skb" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x798d5a81, "__netif_rx" },
	{ 0x57e2a5a8, "ip_check_defrag" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa7ae0687, "netdev_core_stats_inc" },
	{ 0x5fdf1b91, "passthru_features_check" },
	{ 0x574940a2, "eth_validate_addr" },
	{ 0x208e04c8, "ndo_dflt_fdb_dump" },
	{ 0x4936e2bc, "ethtool_op_get_link" },
	{ 0x567b9dcc, "eth_header_parse" },
	{ 0xbe63da3f, "eth_header_cache" },
	{ 0xcfa462b5, "eth_header_cache_update" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x283d584e, "ether_setup" },
	{ 0x937a0f95, "__ethtool_get_link_ksettings" },
	{ 0x7bb0e1f6, "ethtool_get_ts_info_by_layer" },
	{ 0x4af98bdb, "init_net" },
	{ 0x7cf42e95, "generic_hwtstamp_set_lower" },
	{ 0x672f2fe6, "generic_hwtstamp_get_lower" },
	{ 0xa90d3f12, "dev_mc_del" },
	{ 0xf83a69e6, "dev_uc_del" },
	{ 0x87159218, "dev_mc_add_excl" },
	{ 0x5643abfb, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x6263a911, "vlan_vid_del" },
	{ 0x5c093c01, "vlan_vid_add" },
	{ 0x20030a80, "dev_set_allmulti" },
	{ 0x249462e7, "dev_set_promiscuity" },
	{ 0x753a8f3e, "dev_uc_unsync" },
	{ 0xcfbb8e6d, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1206a218, "netdev_rx_handler_unregister" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x3859c57d, "sk_skb_reason_drop" },
	{ 0x93096a52, "dev_set_mac_address" },
	{ 0x37a0cba, "kfree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xef04d985, "kmalloc_caches" },
	{ 0x157382b6, "kmalloc_trace" },
	{ 0xf5d78b56, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x77916cbe, "rtnl_link_unregister" },
	{ 0x6e2b5444, "nla_put" },
	{ 0xbf4a8069, "netdev_is_rx_handler_busy" },
	{ 0xd1f121ad, "rt_mutex_base_init" },
	{ 0xe3fb9bd5, "netdev_rx_handler_register" },
	{ 0xd49c06d0, "dev_uc_add" },
	{ 0x734ffdfc, "call_netdevice_notifiers" },
	{ 0xf10fb0b1, "netif_inherit_tso_max" },
	{ 0xaf2f4e75, "netdev_update_features" },
	{ 0x55439103, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4A709F56BF6115152F7F51F");
MODULE_INFO(rhelversion, "9.7");
