#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tap_del_queues, "_gpl", "");
KSYMTAB_FUNC(tap_handle_frame, "_gpl", "");
KSYMTAB_FUNC(tap_get_minor, "_gpl", "");
KSYMTAB_FUNC(tap_free_minor, "_gpl", "");
KSYMTAB_FUNC(tap_get_socket, "_gpl", "");
KSYMTAB_FUNC(tap_get_ptr_ring, "_gpl", "");
KSYMTAB_FUNC(tap_queue_resize, "_gpl", "");
KSYMTAB_FUNC(tap_create_cdev, "_gpl", "");
KSYMTAB_FUNC(tap_destroy_cdev, "_gpl", "");

SYMBOL_CRC(tap_del_queues, 0x11db0908, "_gpl");
SYMBOL_CRC(tap_handle_frame, 0x2419295e, "_gpl");
SYMBOL_CRC(tap_get_minor, 0xebd8dbe4, "_gpl");
SYMBOL_CRC(tap_free_minor, 0x68b7a488, "_gpl");
SYMBOL_CRC(tap_get_socket, 0x1802ee77, "_gpl");
SYMBOL_CRC(tap_get_ptr_ring, 0xa02412af, "_gpl");
SYMBOL_CRC(tap_queue_resize, 0xfbc0d1e3, "_gpl");
SYMBOL_CRC(tap_create_cdev, 0x916c595f, "_gpl");
SYMBOL_CRC(tap_destroy_cdev, 0x11706968, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3fdb0037, "netdev_err" },
	{ 0xa9b94cb5, "idr_remove" },
	{ 0x6f97e471, "__wake_up" },
	{ 0xe6301ec4, "_copy_to_iter" },
	{ 0x9a69a5dd, "iov_iter_advance" },
	{ 0x10dd3692, "skb_copy_datagram_iter" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb307ee50, "pcpu_hot" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x3aad7442, "idr_find" },
	{ 0x6b8fa6f9, "sk_alloc" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xd1f121ad, "rt_mutex_base_init" },
	{ 0x64a62247, "__init_waitqueue_head" },
	{ 0xec82f9fd, "sock_init_data_uid" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xeae492f1, "sk_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x19e2d7ae, "cdev_init" },
	{ 0x3477fa4a, "cdev_add" },
	{ 0xef04d985, "kmalloc_caches" },
	{ 0x157382b6, "kmalloc_trace" },
	{ 0xb5d43f6f, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x2435fc59, "dev_set_mac_address_user" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x46b1765, "dev_get_mac_address" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x34e43289, "consume_skb" },
	{ 0x6f25a149, "finish_wait" },
	{ 0x1000e51, "schedule" },
	{ 0xf5c5940, "prepare_to_wait" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xf4c5bdcf, "idr_destroy" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xa3731184, "skb_push" },
	{ 0x6314e5bc, "__skb_gso_segment" },
	{ 0x1c620370, "skb_checksum_help" },
	{ 0x262f1fc0, "kfree_skb_list_reason" },
	{ 0x67976f6a, "__skb_get_hash_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0xc16c63f0, "__skb_flow_dissect" },
	{ 0xc6cd3c31, "skb_partial_csum_set" },
	{ 0xcb9cfa25, "__pskb_pull_tail" },
	{ 0x198ddecd, "iov_iter_npages" },
	{ 0x9641e350, "_copy_from_iter" },
	{ 0x77037305, "sock_alloc_send_pskb" },
	{ 0x4bfc0415, "skb_put" },
	{ 0xf844cc8d, "zerocopy_sg_from_iter" },
	{ 0x96e52f03, "__dev_queue_xmit" },
	{ 0xda995a74, "skb_copy_datagram_from_iter" },
	{ 0x45dc7a61, "iov_iter_revert" },
	{ 0x25e82b45, "skb_copy_bits" },
	{ 0x5eb7b54, "build_skb" },
	{ 0x65fc427d, "compat_ptr_ioctl" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9dc8d101, "rt_spin_lock" },
	{ 0xc620742, "rt_spin_unlock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3859c57d, "sk_skb_reason_drop" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4c8e5f65, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55439103, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2F2448FE0CC839943825A4F");
MODULE_INFO(rhelversion, "9.7");
