#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ntb_register_client, "", "");
KSYMTAB_FUNC(ntb_unregister_client, "", "");
KSYMTAB_FUNC(ntb_register_device, "", "");
KSYMTAB_FUNC(ntb_unregister_device, "", "");
KSYMTAB_FUNC(ntb_set_ctx, "", "");
KSYMTAB_FUNC(ntb_clear_ctx, "", "");
KSYMTAB_FUNC(ntb_link_event, "", "");
KSYMTAB_FUNC(ntb_db_event, "", "");
KSYMTAB_FUNC(ntb_msg_event, "", "");
KSYMTAB_FUNC(ntb_default_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_count, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_idx, "", "");
KSYMTAB_FUNC(ntb_msi_init, "", "");
KSYMTAB_FUNC(ntb_msi_setup_mws, "", "");
KSYMTAB_FUNC(ntb_msi_clear_mws, "", "");
KSYMTAB_FUNC(ntbm_msi_request_threaded_irq, "", "");
KSYMTAB_FUNC(ntbm_msi_free_irq, "", "");
KSYMTAB_FUNC(ntb_msi_peer_trigger, "", "");
KSYMTAB_FUNC(ntb_msi_peer_addr, "", "");

SYMBOL_CRC(__ntb_register_client, 0x9a7f281f, "");
SYMBOL_CRC(ntb_unregister_client, 0x2e5a132c, "");
SYMBOL_CRC(ntb_register_device, 0x2af92fe1, "");
SYMBOL_CRC(ntb_unregister_device, 0x6d6fe97c, "");
SYMBOL_CRC(ntb_set_ctx, 0x96fb0d5d, "");
SYMBOL_CRC(ntb_clear_ctx, 0x998c4b4c, "");
SYMBOL_CRC(ntb_link_event, 0xc16b8589, "");
SYMBOL_CRC(ntb_db_event, 0x8dfbe3b4, "");
SYMBOL_CRC(ntb_msg_event, 0x8a80c51c, "");
SYMBOL_CRC(ntb_default_port_number, 0x29e81fb4, "");
SYMBOL_CRC(ntb_default_peer_port_count, 0xe6bfa0b5, "");
SYMBOL_CRC(ntb_default_peer_port_number, 0x95392ada, "");
SYMBOL_CRC(ntb_default_peer_port_idx, 0xe50ca17e, "");
SYMBOL_CRC(ntb_msi_init, 0x72498b37, "");
SYMBOL_CRC(ntb_msi_setup_mws, 0xe079e0e2, "");
SYMBOL_CRC(ntb_msi_clear_mws, 0xc58d4f35, "");
SYMBOL_CRC(ntbm_msi_request_threaded_irq, 0xad55e9a8, "");
SYMBOL_CRC(ntbm_msi_free_irq, 0xff78c62f, "");
SYMBOL_CRC(ntb_msi_peer_trigger, 0xee0bcd16, "");
SYMBOL_CRC(ntb_msi_peer_addr, 0x7127893e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6f7e6040, "irq_has_action" },
	{ 0xa8835b6e, "devm_request_threaded_irq" },
	{ 0xa6705cc7, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xf259ff8f, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0x28a08125, "devm_iounmap" },
	{ 0xfaaffc6c, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd1f121ad, "rt_mutex_base_init" },
	{ 0x9c1f24fb, "devres_destroy" },
	{ 0x4e326fb9, "msi_unlock_descs" },
	{ 0x67b4de86, "devm_ioremap" },
	{ 0xd82589b4, "get_device" },
	{ 0xbbf7e0ad, "msi_lock_descs" },
	{ 0xc8f55b2f, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x459b38c7, "put_device" },
	{ 0x326dee93, "devm_free_irq" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x5fdbdccd, "bus_unregister" },
	{ 0xf6a3107b, "devm_kfree" },
	{ 0xfad60dcf, "irq_get_irq_data" },
	{ 0xfce17933, "__devres_alloc_node" },
	{ 0x262ee87f, "driver_unregister" },
	{ 0x304e944, "device_register" },
	{ 0x6504dd51, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc620742, "rt_spin_unlock" },
	{ 0x9dc8d101, "rt_spin_lock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb7cb8f28, "msi_domain_first_desc" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xe1ea5461, "msi_next_desc" },
	{ 0x58e6fdb, "driver_register" },
	{ 0xc551ecd2, "bus_register" },
	{ 0x55439103, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "026457906ECEF839D1F4A06");
MODULE_INFO(rhelversion, "9.7");
