#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ptp_clock_register, "", "");
KSYMTAB_FUNC(ptp_clock_unregister, "", "");
KSYMTAB_FUNC(ptp_clock_event, "", "");
KSYMTAB_FUNC(ptp_clock_index, "", "");
KSYMTAB_FUNC(ptp_find_pin, "", "");
KSYMTAB_FUNC(ptp_find_pin_unlocked, "", "");
KSYMTAB_FUNC(ptp_schedule_worker, "", "");
KSYMTAB_FUNC(ptp_cancel_worker_sync, "", "");

SYMBOL_CRC(ptp_clock_register, 0x6375df9a, "");
SYMBOL_CRC(ptp_clock_unregister, 0xca5c094d, "");
SYMBOL_CRC(ptp_clock_event, 0x0e11f8fc, "");
SYMBOL_CRC(ptp_clock_index, 0x30cfb99e, "");
SYMBOL_CRC(ptp_find_pin, 0x6c4192c2, "");
SYMBOL_CRC(ptp_find_pin_unlocked, 0x58f3e72e, "");
SYMBOL_CRC(ptp_schedule_worker, 0x141067bf, "");
SYMBOL_CRC(ptp_cancel_worker_sync, 0x9b2967c8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x690f13e1, "ida_alloc_range" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x5d1e5c5f, "kthread_create_worker" },
	{ 0xaef6fa5d, "ida_destroy" },
	{ 0xc0bb1302, "kthread_cancel_delayed_work_sync" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xf259ff8f, "dev_set_name" },
	{ 0x2903010c, "kthread_delayed_work_timer_fn" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xd1f121ad, "rt_mutex_base_init" },
	{ 0x600c7b2d, "pps_register_source" },
	{ 0x6f25a149, "finish_wait" },
	{ 0xf504e79b, "class_destroy" },
	{ 0x70ea8022, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xf58a6e14, "device_for_each_child" },
	{ 0x7ba7683d, "prepare_to_wait_event" },
	{ 0x6f97e471, "__wake_up" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x459b38c7, "put_device" },
	{ 0x34d649bf, "device_for_each_child_reverse" },
	{ 0x5e9e28d7, "_dev_info" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8e7b27a6, "kthread_mod_delayed_work" },
	{ 0x17b5c7ca, "_dev_err" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xae7a365f, "class_create" },
	{ 0x1fab1114, "pps_event" },
	{ 0x4df1d4d2, "mutex_lock" },
	{ 0x15055444, "ida_free" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x8cb118f6, "mutex_lock_interruptible" },
	{ 0x1e1e140e, "ns_to_timespec64" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x64a62247, "__init_waitqueue_head" },
	{ 0xf70748c4, "pps_unregister_source" },
	{ 0xc620742, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9dc8d101, "rt_spin_lock" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xdac2e295, "kthread_destroy_worker" },
	{ 0x2922daf7, "mutex_unlock" },
	{ 0xc1f4c8db, "posix_clock_register" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xa9f763cb, "kthread_queue_delayed_work" },
	{ 0xc32874e4, "ktime_get_snapshot" },
	{ 0xd1f8dc0f, "posix_clock_unregister" },
	{ 0x157382b6, "kmalloc_trace" },
	{ 0x5023fd25, "__mutex_rt_init" },
	{ 0x862258db, "timecounter_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xef04d985, "kmalloc_caches" },
	{ 0x55439103, "module_layout" },
};

MODULE_INFO(depends, "pps_core");


MODULE_INFO(srcversion, "FC8EB417587A522235EF06A");
MODULE_INFO(rhelversion, "9.7");
